--DROP TABLE Addit_Bank;

CREATE TABLE Addit_Bank (
   Name varchar(30) NOT NULL,
   Account_No varchar(20) NOT NULL,
   Bank_Name varchar(80) NULL,
   Branch_Address varchar(128) NULL,
   BSB_No varchar(10) NULL,
   Terms_of_Payment varchar(128) NULL,
   Currency varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Addit_Bank_Name ON Addit_Bank (Name,Account_No);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Addit_Bank','Additional Banks');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Addit_Bank','YES','YES');
--DROP TABLE Addit_Ingredient;

CREATE TABLE Addit_Ingredient (
   Pallet_No varchar(15) NOT NULL,
   Sample_No integer NOT NULL,
   Sample_Date varchar(10) NOT NULL,
   Sent_Date varchar(10) NOT NULL,
   Ingredient_Name varchar(30) NOT NULL,
   Value varchar(20) NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX Addit_Ingredient_Pallet_No ON Addit_Ingredient (Pallet_No,Sample_No,Sample_Date,Sent_Date,Ingredient_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Addit_Ingredient','Additional Ingredients');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Addit_Ingredient','YES','YES');
--DROP TABLE Air_Freight;

CREATE TABLE Air_Freight (
   Name varchar(30) NOT NULL,
   Cust_Order_No varchar(15) NOT NULL,
   Order_Date varchar(10) NOT NULL,
   Order_Item varchar(20) NOT NULL,
   Despatch_date varchar(10) NOT NULL,
   Flight_No varchar(30) NOT NULL,
   AWB varchar(30) NULL,
   Export_Permit_No varchar(20) NULL,
   Loading_Port varchar(50) NOT NULL,
   Loading_Country varchar(40) NOT NULL,
   Discharge_Port varchar(50) NOT NULL,
   Discharge_Country varchar(40) NOT NULL,
   ETA_Date varchar(10) NULL,
   Shipment_No varchar(20) NULL,
   ECN_No varchar(20) NULL,
   Terms_of_Delivery varchar(15) NULL,
   Delivery_City varchar(50) NULL,
   Delivery_Country varchar(40) NULL
);

CREATE UNIQUE CLUSTERED INDEX Air_Freight_Name ON Air_Freight (Name,Cust_Order_No,Order_Date,Order_Item,Despatch_date);

CREATE INDEX Air_Freight_Loading_Country ON Air_Freight (Loading_Country);

CREATE INDEX Air_Freight_Discharge_Country ON Air_Freight (Discharge_Country);

CREATE INDEX Air_Freight_ETA_Date ON Air_Freight (ETA_Date);

CREATE INDEX Air_Freight_Shipment_No ON Air_Freight (Shipment_No);

CREATE INDEX Air_Freight_Delivery_City ON Air_Freight (Delivery_City);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Air_Freight','Air Freight');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Air_Freight','YES','YES');
--DROP TABLE Antifoul;

CREATE TABLE Antifoul (
   Net_No varchar(20) NOT NULL,
   Cage_Size varchar(10) NOT NULL,
   Date_Antifouled varchar(10) NOT NULL,
   Anitfouled_type varchar(100) NULL,
   Net_Growth numeric(10,2) NULL,
   Anti_Qty numeric(10,2) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Antifoul_Net_No ON Antifoul (Net_No,Cage_Size,Date_Antifouled);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Antifoul','Net Antifouling / Cleaning');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Antifoul','YES','YES');
--DROP TABLE Asset;

CREATE TABLE Asset (
   Asset_No integer NOT NULL,
   Asset_Name varchar(120) NOT NULL,
   Purchase_Date varchar(10) NOT NULL,
   Org_Amt numeric(10,2) NOT NULL,
   Detail_Description varchar(250) NULL
);

CREATE UNIQUE CLUSTERED INDEX Asset_Asset_No ON Asset (Asset_No,Asset_Name);

CREATE INDEX Asset_Purchase_Date ON Asset (Purchase_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Asset','Asset');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Asset','YES','YES');
--DROP TABLE Asset_Item;

CREATE TABLE Asset_Item (
   Asset_No integer NOT NULL,
   Asset_Name varchar(120) NOT NULL,
   Asset_Item varchar(100) NOT NULL,
   Purchase_Date varchar(10) NOT NULL,
   Purchase_Amt numeric(10,2) NOT NULL,
   Detail_Description varchar(250) NULL
);

CREATE UNIQUE CLUSTERED INDEX Asset_Item_Asset_No ON Asset_Item (Asset_No,Asset_Name,Asset_Item);

CREATE INDEX Asset_Item_Purchase_Date ON Asset_Item (Purchase_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Asset_Item','Asset Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Asset_Item','YES','YES');
--DROP TABLE Bath_Grade;

CREATE TABLE Bath_Grade (
   Job_No integer NOT NULL,
   Job_Date varchar(10) NOT NULL,
   Src_Fish_Id varchar(10) NOT NULL,
   Fish_Count integer NULL,
   Src_Cage_Id varchar(10) NULL,
   Src_Date_Assigned varchar(10) NULL,
   LH_Name varchar(20) NOT NULL,
   No_Prev_Grades integer NULL,
   Comment varchar(200) NULL,
   No_Big_Fish integer NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Bath_Grade_Job_No ON Bath_Grade (Job_No,Job_Date);

CREATE INDEX Bath_Grade_Src_Fish_Id ON Bath_Grade (Src_Fish_Id);

CREATE INDEX Bath_Grade_LH_Name ON Bath_Grade (LH_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Bath_Grade','Grade Movements');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Bath_Grade','YES','YES');
--DROP TABLE Bath_Grade_Completion;

CREATE TABLE Bath_Grade_Completion (
   Job_No integer NOT NULL,
   Job_Date varchar(10) NOT NULL,
   Date_Bathed varchar(10) NOT NULL,
   Dest_Fish_Id varchar(10) NOT NULL,
   Dest_Fish_Count integer NULL,
   Dest_Cage_Id varchar(10) NULL,
   Dest_Date_Assigned varchar(10) NULL,
   Completed_Grade_Type varchar(15) NULL,
   No_Fish_In integer NULL,
   Time_Fish_In varchar(8) NULL,
   Time_Fish_Out varchar(8) NULL,
   Time_in_Bath varchar(8) NULL,
   Net_No_In varchar(20) NULL,
   Net_No_Out varchar(20) NULL,
   Weather varchar(150) NULL,
   Comments varchar(200) NULL,
   Bath_Crew varchar(100) NULL,
   Src_Fish_Id varchar(10) NOT NULL,
   Src_Cage_Id varchar(10) NULL,
   Src_Date_Assigned varchar(10) NULL,
   CTIB varchar(8) NULL,
   CTOB varchar(8) NULL,
   DOMU varchar(30) NULL,
   DOMC numeric(4,0) NULL,
   DOMCheck varchar(4) NULL,
   Dissolver varchar(4) NULL,
   NoDRack numeric(3,0) NULL,
   OUCrowd varchar(4) NULL,
   CMethod varchar(15) NULL,
   C1_Start varchar(8) NULL,
   CEnd1 varchar(8) NULL,
   CStart2 varchar(8) NULL,
   CEnd2 varchar(8) NULL,
   CStart3 varchar(8) NULL,
   CEnd3 varchar(8) NULL,
   CStart4 varchar(8) NULL,
   CEnd4 varchar(8) NULL,
   CStart5 varchar(8) NULL,
   CEnd5 varchar(8) NULL,
   CRComment varchar(200) NULL,
   Ct_Count integer NULL,
   Ct_Accurate varchar(4) NULL,
   Ct_Calib varchar(4) NULL,
   MC_Check varchar(4) NULL,
   CFWeight numeric(5,0) NULL,
   Ct_Speed varchar(11) NULL,
   Fish_No_Adjust varchar(4) NULL,
   AUB varchar(20) NULL,
   BWT_Start numeric(5,2) NULL,
   BWT_End numeric(5,2) NULL,
   O_Start varchar(10) NULL,
   O_End varchar(10) NULL,
   Salinity_Start varchar(10) NULL,
   Salinity_End varchar(10) NULL,
   SW_Temp numeric(5,2) NULL,
   Seawater_Oxygen varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Bath_Grade_Completion_Job_No ON Bath_Grade_Completion (Job_No,Job_Date,Date_Bathed,Dest_Fish_Id);

CREATE INDEX Bath_Grade_Completion_Src_Fish_Id ON Bath_Grade_Completion (Src_Fish_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Bath_Grade_Completion','Grade Completion');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Bath_Grade_Completion','YES','YES');
--DROP TABLE Benthic_Monitoring;

CREATE TABLE Benthic_Monitoring (
   Monitor_Date varchar(10) NOT NULL,
   Cage_Id varchar(10) NOT NULL,
   Monitor_Time varchar(8) NOT NULL,
   Visibility numeric(10,2) NOT NULL,
   Degree_Bio varchar(15) NULL,
   Amt_Undulation varchar(15) NULL,
   Amt_Nat_Org varchar(15) NULL,
   Sand_Colour varchar(15) NULL,
   Grain_Size varchar(30) NULL,
   Macroalgal varchar(15) NULL,
   Seagrass varchar(15) NULL,
   Sponge varchar(15) NULL,
   Baitfish integer NULL,
   Holothurians integer NULL,
   Ascidians integer NULL,
   Razorfish integer NULL,
   Scallops integer NULL,
   Crabs integer NULL,
   Gastropods integer NULL,
   Fish integer NULL,
   Globefish integer NULL,
   Seahorse integer NULL,
   Stingray varchar(15) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Benthic_Monitoring_Monitor_Date ON Benthic_Monitoring (Monitor_Date,Cage_Id,Monitor_Time,Visibility);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Benthic_Monitoring','Benthic Monitoring');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Benthic_Monitoring','YES','YES');
--DROP TABLE Bin_No;

CREATE TABLE Bin_No (
   Bin_Number varchar(20) NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX Bin_No_Bin_Number ON Bin_No (Bin_Number);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Bin_No','Bin No');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Bin_No','YES','YES');
--DROP TABLE Bin_Vitamins;

CREATE TABLE Bin_Vitamins (
   Bin_Number varchar(20) NOT NULL,
   Stock_Name varchar(40) NOT NULL,
   Item_Type_Name varchar(20) NOT NULL,
   Qty_Used numeric(10,2) NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX Bin_Vitamins_Bin_Number ON Bin_Vitamins (Bin_Number,Stock_Name,Item_Type_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Bin_Vitamins','Bin Vitamins');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Bin_Vitamins','YES','YES');
--DROP TABLE Budget_Days;

CREATE TABLE Budget_Days (
   Name varchar(30) NOT NULL,
   Budget_Year integer NOT NULL,
   Stock_Item varchar(50) NOT NULL,
   Budget_Day varchar(10) NOT NULL,
   Qty_Code varchar(10) NOT NULL,
   No_Carton integer NULL,
   Fish_No integer NULL,
   Biomass numeric(10,2) NULL,
   Price numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Budget_Days_Name ON Budget_Days (Name,Budget_Year,Stock_Item,Budget_Day,Qty_Code);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Budget_Days','Budget Days');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Budget_Days','YES','YES');
--DROP TABLE Budget_Sale;

CREATE TABLE Budget_Sale (
   Name varchar(30) NOT NULL,
   Budget_Year integer NOT NULL,
   Stock_Item varchar(50) NOT NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Budget_Sale_Name ON Budget_Sale (Name,Budget_Year,Stock_Item);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Budget_Sale','Budget Sale Forecast');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Budget_Sale','YES','YES');
--DROP TABLE Cage;

CREATE TABLE Cage (
   Cage_Id varchar(10) NOT NULL,
   Cage_Size varchar(10) NOT NULL,
   Cage_Registration_No varchar(40) NULL,
   Year_Installed integer NULL,
   Comment varchar(200) NULL,
   Cost_Price numeric(10,2) NULL,
   Chained varchar(4) NULL,
   Inside_Collar numeric(10,2) NULL,
   Outside_Collar numeric(10,2) NULL,
   Cage_Type varchar(20) NULL,
   GLN numeric(13,0) NULL,
   Ring_No varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Cage_Cage_Id ON Cage (Cage_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Cage','Cage');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Cage','YES','YES');
--DROP TABLE Cage_Assignment;

CREATE TABLE Cage_Assignment (
   Fish_Id varchar(10) NOT NULL,
   Cage_Id varchar(10) NOT NULL,
   Date_Assigned varchar(10) NOT NULL,
   Swim_Off integer NULL,
   Swim_To integer NULL,
   Graded_From integer NULL,
   Graded integer NULL,
   Cage_Size varchar(10) NULL,
   Date_UnAssigned varchar(10) NULL,
   Comment varchar(200) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Cage_Assignment_Fish_Id ON Cage_Assignment (Fish_Id,Cage_Id,Date_Assigned);

CREATE INDEX Cage_Assignment_Date_UnAssigned ON Cage_Assignment (Date_UnAssigned);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Cage_Assignment','Fish to Cage Assignment');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Cage_Assignment','YES','YES');
--DROP TABLE Cage_Condition;

CREATE TABLE Cage_Condition (
   Fish_Id varchar(10) NOT NULL,
   Cage_Id varchar(10) NOT NULL,
   Date_Assigned varchar(10) NOT NULL,
   Date_Checked varchar(10) NOT NULL,
   Staff_Name varchar(30) NOT NULL,
   Site_Suitable varchar(15) NULL,
   Comment varchar(200) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Cage_Condition_Fish_Id ON Cage_Condition (Fish_Id,Cage_Id,Date_Assigned,Date_Checked);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Cage_Condition','Cage Condition');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Cage_Condition','YES','YES');
--DROP TABLE Cage_Net;

CREATE TABLE Cage_Net (
   Cage_Id varchar(10) NOT NULL,
   Cage_Size varchar(10) NULL,
   Net_No varchar(20) NOT NULL,
   Date_Installed varchar(10) NOT NULL,
   Net_Use_Type varchar(15) NOT NULL,
   Date_UnInstalled varchar(10) NULL,
   Uninstall_Location varchar(15) NULL,
   Prev_Days integer NULL,
   Comment varchar(200) NULL,
   Ring_No varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Cage_Net_Cage_Id ON Cage_Net (Cage_Id,Net_No,Date_Installed);

CREATE INDEX Cage_Net_Date_UnInstalled ON Cage_Net (Date_UnInstalled);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Cage_Net','Net to Cage Assignment');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Cage_Net','YES','YES');
--DROP TABLE Capture_Area;

CREATE TABLE Capture_Area (
   Fish_Id varchar(10) NOT NULL,
   Tow_No varchar(15) NOT NULL,
   Capture_Date varchar(10) NOT NULL,
   GPS_Position varchar(20) NOT NULL,
   NM_Port numeric(10,2) NULL,
   Latitude varchar(10) NULL,
   Longtitude varchar(10) NULL,
   No_of_Fish integer NOT NULL,
   Avg_Weight numeric(10,2) NOT NULL,
   Capture_Morts integer NOT NULL,
   Comments varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Capture_Area_Fish_Id ON Capture_Area (Fish_Id,Tow_No,Capture_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Capture_Area','Capture Area');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Capture_Area','YES','YES');
--DROP TABLE Carrier;

CREATE TABLE Carrier (
   Name varchar(30) NOT NULL,
   Contact varchar(30) NULL,
   Address varchar(50) NULL,
   Suburb varchar(30) NULL,
   State varchar(10) NULL,
   Postcode numeric(6,0) NULL,
   Phone varchar(15) NULL,
   Fax varchar(15) NULL,
   Mobile_No varchar(15) NULL,
   Email varchar(50) NULL,
   Sales_Tax varchar(10) NULL,
   ABN varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Carrier_Name ON Carrier (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Carrier','Carrier');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Carrier','YES','YES');
--DROP TABLE Carton_Item;

CREATE TABLE Carton_Item (
   Name varchar(30) NOT NULL,
   Cust_Order_No varchar(15) NOT NULL,
   Order_Date varchar(10) NOT NULL,
   Order_Item varchar(20) NOT NULL,
   Harvest_Date varchar(10) NOT NULL,
   Carton_No integer NOT NULL,
   Fish_Id varchar(10) NOT NULL,
   Cage_Id varchar(10) NOT NULL,
   Seq_Number integer NOT NULL,
   Weight_HOGG numeric(10,2) NOT NULL,
   Damaged_Fish varchar(4) NOT NULL,
   Length numeric(10,2) NULL,
   Tag_Id varchar(20) NULL,
   Catch_Fish_Id varchar(10) NULL,
   Tow_No varchar(15) NULL,
   Catch_Length numeric(10,2) NULL,
   Catch_Weight numeric(10,2) NULL,
   Harvest_Tag_Id varchar(128) NULL,
   Container_No varchar(20) NULL,
   Dispatch_Process_Weight numeric(10,1) NULL,
   Dispatch_Process_Form varchar(20) NULL,
   Archive varchar(4) NULL,
   Processor_Name varchar(30) NULL
);

CREATE UNIQUE CLUSTERED INDEX Carton_Item_Name ON Carton_Item (Name,Cust_Order_No,Order_Date,Order_Item,Harvest_Date,Carton_No,Fish_Id,Cage_Id,Seq_Number);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Carton_Item','Customer Process Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Carton_Item','YES','YES');
--DROP TABLE City;

CREATE TABLE City (
   City varchar(50) NOT NULL,
   Country varchar(40) NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX City_City ON City (City,Country);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('City','City');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','City','YES','YES');
--DROP TABLE Company;

CREATE TABLE Company (
   Name varchar(30) NOT NULL,
   Report_by varchar(4) NOT NULL,
   Contact varchar(30) NULL,
   Address varchar(50) NULL,
   Suburb varchar(30) NULL,
   State varchar(10) NULL,
   Postcode numeric(6,0) NULL,
   Phone varchar(15) NULL,
   Fax varchar(15) NULL,
   Email varchar(50) NULL,
   Sales_Tax varchar(10) NULL,
   ABN varchar(15) NULL,
   ACN varchar(15) NULL,
   Web_Site varchar(40) NULL,
   Comment varchar(200) NULL,
   Bank_Name varchar(80) NULL,
   Branch_Address varchar(128) NULL,
   BSB_No varchar(10) NULL,
   Account_No varchar(20) NULL,
   Terms_of_Payment varchar(128) NULL,
   Currency varchar(10) NULL,
   GLN numeric(13,0) NULL,
   Abbrev_Name varchar(6) NULL,
   Fish_Licence varchar(30) NULL
);

CREATE UNIQUE CLUSTERED INDEX Company_Name ON Company (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Company','Company');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Company','YES','YES');
--DROP TABLE Company_Quota;

CREATE TABLE Company_Quota (
   Company_Name varchar(30) NOT NULL,
   Fishery_Name varchar(60) NOT NULL,
   Season_Year numeric(4,0) NOT NULL,
   Group_Holding varchar(4) NULL,
   Tdummy1 char(1) NULL,
   JD_PH integer NULL,
   RRP_PH integer NULL,
   MD_PH integer NULL,
   Redfish_PH integer NULL,
   FH_PH integer NULL,
   OP_PH integer NULL,
   GES_PH integer NULL,
   EF_PH integer NULL,
   GWS_PH integer NULL,
   GS_PH integer NULL,
   BG_PH integer NULL,
   SS_PH integer NULL,
   Ling_PH integer NULL,
   SSF_PH integer NULL,
   JM_PH integer NULL,
   BT_PH integer NULL,
   ORC_PH integer NULL,
   ST_PH integer NULL,
   ORE_PH integer NULL,
   SW_PH integer NULL,
   ORS_PH integer NULL,
   BW_PH integer NULL,
   ORW_PH integer NULL,
   WH_PH integer NULL,
   SBT_PH integer NULL,
   LP_PH integer NULL,
   Tdummy2 char(1) NULL,
   JD_QC numeric(12,10) NULL,
   RRP_QC numeric(12,10) NULL,
   MD_QC numeric(12,10) NULL,
   Redfish_QC numeric(12,10) NULL,
   FH_QC numeric(12,10) NULL,
   OP_QC numeric(12,10) NULL,
   GES_QC numeric(12,10) NULL,
   EF_QC numeric(12,10) NULL,
   GWS_QC numeric(12,10) NULL,
   GS_QC numeric(12,10) NULL,
   BG_QC numeric(12,10) NULL,
   SS_QC numeric(12,10) NULL,
   Ling_QC numeric(12,10) NULL,
   SSF_QC numeric(12,10) NULL,
   JM_QC numeric(12,10) NULL,
   BT_QC numeric(12,10) NULL,
   ORC_QC numeric(12,10) NULL,
   ST_QC numeric(12,10) NULL,
   ORE_QC numeric(12,10) NULL,
   SW_QC numeric(12,10) NULL,
   ORS_QC numeric(12,10) NULL,
   BW_QC numeric(12,10) NULL,
   ORW_QC numeric(12,10) NULL,
   WH_QC numeric(12,10) NULL,
   SBT_QC numeric(12,10) NULL,
   LP_QC numeric(12,10) NULL,
   Tdummy3 char(1) NULL,
   JD_B numeric(10,2) NULL,
   RRP_B numeric(10,2) NULL,
   MD_B numeric(10,2) NULL,
   Redfish_B numeric(10,2) NULL,
   FH_B numeric(10,2) NULL,
   OP_B numeric(10,2) NULL,
   GES_B numeric(10,2) NULL,
   EF_B numeric(10,2) NULL,
   GWS_B numeric(10,2) NULL,
   GS_B numeric(10,2) NULL,
   BG_B numeric(10,2) NULL,
   SS_B numeric(10,2) NULL,
   Ling_B numeric(10,2) NULL,
   SSF_B numeric(10,2) NULL,
   JM_B numeric(10,2) NULL,
   BT_B numeric(10,2) NULL,
   ORC_B numeric(10,2) NULL,
   ST_B numeric(10,2) NULL,
   ORE_B numeric(10,2) NULL,
   SW_B numeric(10,2) NULL,
   ORS_B numeric(10,2) NULL,
   BW_B numeric(10,2) NULL,
   ORW_B numeric(10,2) NULL,
   WH_B numeric(10,2) NULL,
   SBT_B numeric(10,2) NULL,
   LP_B numeric(10,2) NULL,
   Comment varchar(200) NULL,
   Tdummy4 char(1) NULL,
   JD_lP numeric(10,2) NULL,
   RRP_lP numeric(10,2) NULL,
   MD_lP numeric(10,2) NULL,
   Redfish_lP numeric(10,2) NULL,
   FH_lP numeric(10,2) NULL,
   OP_lP numeric(10,2) NULL,
   GES_lP numeric(10,2) NULL,
   EF_lP numeric(10,2) NULL,
   GWS_lP numeric(10,2) NULL,
   GS_lP numeric(10,2) NULL,
   BG_lP numeric(10,2) NULL,
   SS_lP numeric(10,2) NULL,
   Ling_lP numeric(10,2) NULL,
   SSF_lP numeric(10,2) NULL,
   JM_lP numeric(10,2) NULL,
   BT_lP numeric(10,2) NULL,
   ORC_lP numeric(10,2) NULL,
   ST_lP numeric(10,2) NULL,
   ORE_lP numeric(10,2) NULL,
   SW_lP numeric(10,2) NULL,
   ORS_lP numeric(10,2) NULL,
   BW_lP numeric(10,2) NULL,
   ORW_lP numeric(10,2) NULL,
   WH_lP numeric(10,2) NULL,
   SBT_lP numeric(10,2) NULL,
   LP_lP numeric(10,2) NULL,
   Tdummy5 char(1) NULL,
   JD_S numeric(10,2) NULL,
   RRP_S numeric(10,2) NULL,
   MD_S numeric(10,2) NULL,
   Redfish_S numeric(10,2) NULL,
   FH_S numeric(10,2) NULL,
   OP_S numeric(10,2) NULL,
   GES_S numeric(10,2) NULL,
   EF_S numeric(10,2) NULL,
   GWS_S numeric(10,2) NULL,
   GS_S numeric(10,2) NULL,
   BG_S numeric(10,2) NULL,
   SS_S numeric(10,2) NULL,
   Ling_S numeric(10,2) NULL,
   SSF_S numeric(10,2) NULL,
   JM_S numeric(10,2) NULL,
   BT_S numeric(10,2) NULL,
   ORC_S numeric(10,2) NULL,
   ST_S numeric(10,2) NULL,
   ORE_S numeric(10,2) NULL,
   SW_S numeric(10,2) NULL,
   ORS_S numeric(10,2) NULL,
   BW_S numeric(10,2) NULL,
   ORW_S numeric(10,2) NULL,
   WH_S numeric(10,2) NULL,
   SBT_S numeric(10,2) NULL,
   LP_S numeric(10,2) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Company_Quota_Company_Name ON Company_Quota (Company_Name,Fishery_Name,Season_Year);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Company_Quota','Company Quota');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Company_Quota','YES','YES');
--DROP TABLE Contact;

CREATE TABLE Contact (
   Name varchar(60) NOT NULL,
   Contact varchar(30) NULL,
   Address varchar(50) NULL,
   Suburb varchar(30) NULL,
   Phone varchar(15) NULL,
   Fax varchar(15) NULL,
   Email varchar(50) NULL,
   Web_Site varchar(40) NULL,
   Classification varchar(20) NOT NULL,
   Responsibility varchar(20) NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX Contact_Name ON Contact (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Contact','Contacts');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Contact','YES','YES');
--DROP TABLE Container_Delivery;

CREATE TABLE Container_Delivery (
   Order_No varchar(20) NOT NULL,
   Stock_Name varchar(40) NOT NULL,
   Delivered_Date varchar(10) NOT NULL,
   Delivered_Time varchar(8) NOT NULL,
   Carrier_Name varchar(30) NOT NULL,
   Container_No varchar(30) NOT NULL,
   Expected_Container_Weight numeric(10,2) NULL,
   Internal_Code_No varchar(20) NULL,
   Quarantine_No varchar(20) NULL,
   Seal_no varchar(20) NULL,
   Import_Permit_No varchar(20) NULL,
   Actual_Arrival_Date varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Container_Delivery_Order_No ON Container_Delivery (Order_No,Stock_Name,Delivered_Date,Delivered_Time,Carrier_Name,Container_No);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Container_Delivery','Container Delivery');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Container_Delivery','YES','YES');
--DROP TABLE Container_Pallets;

CREATE TABLE Container_Pallets (
   Order_No varchar(20) NOT NULL,
   Stock_Name varchar(40) NOT NULL,
   Abbrev_Name varchar(5) NULL,
   Delivered_Date varchar(10) NOT NULL,
   Delivered_Time varchar(8) NOT NULL,
   Carrier_Name varchar(30) NOT NULL,
   Container_No varchar(30) NOT NULL,
   Pallet_No varchar(15) NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX Container_Pallets_Order_No ON Container_Pallets (Order_No,Stock_Name,Delivered_Date,Delivered_Time,Carrier_Name,Container_No,Pallet_No);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Container_Pallets','Container Pallets');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Container_Pallets','YES','YES');
--DROP TABLE Correspondence;

CREATE TABLE Correspondence (
   Ref_No varchar(30) NOT NULL,
   Date_Entered varchar(10) NOT NULL,
   Staff_Name varchar(20) NOT NULL,
   Subject varchar(60) NOT NULL,
   Title varchar(255) NOT NULL,
   Source varchar(30) NOT NULL,
   Body varchar(1000) NULL,
   File_Location varchar(200) NULL,
   Referred_By varchar(60) NULL
);

CREATE UNIQUE CLUSTERED INDEX Correspondence_Ref_No ON Correspondence (Ref_No,Date_Entered,Staff_Name,Subject);

CREATE INDEX Correspondence_Title ON Correspondence (Title);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Correspondence','Correspondence');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Correspondence','YES','YES');
--DROP TABLE Country;

CREATE TABLE Country (
   Country varchar(40) NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX Country_Country ON Country (Country);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Country','Country');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Country','YES','YES');
--DROP TABLE Customer;

CREATE TABLE Customer (
   Name varchar(30) NOT NULL,
   Contact varchar(60) NULL,
   Address varchar(50) NULL,
   Address_2 varchar(50) NULL,
   Suburb varchar(30) NULL,
   State varchar(10) NULL,
   Postcode numeric(6,0) NULL,
   Country varchar(40) NULL,
   Phone varchar(30) NULL,
   Fax varchar(30) NULL,
   Email varchar(50) NULL,
   Sales_Tax varchar(10) NULL,
   ABN varchar(15) NULL,
   ACN varchar(15) NULL,
   Web_Site varchar(40) NULL,
   Comment varchar(200) NULL,
   Group_Name varchar(30) NULL,
   Delivery_Detail varchar(100) NULL,
   Carrier varchar(30) NULL
);

CREATE UNIQUE CLUSTERED INDEX Customer_Name ON Customer (Name);

CREATE INDEX Customer_Country ON Customer (Country);

CREATE INDEX Customer_Group_Name ON Customer (Group_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Customer','Customer');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Customer','YES','YES');
--DROP TABLE Customer_Group;

CREATE TABLE Customer_Group (
   Group_Name varchar(30) NOT NULL,
   Comment varchar(255) NULL
);

CREATE UNIQUE CLUSTERED INDEX Customer_Group_Group_Name ON Customer_Group (Group_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Customer_Group','Customer Group');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Customer_Group','YES','YES');
--DROP TABLE Customer_Order;

CREATE TABLE Customer_Order (
   Name varchar(30) NOT NULL,
   Cust_Order_No varchar(15) NOT NULL,
   Order_Date varchar(10) NOT NULL,
   Comment varchar(200) NULL,
   Staff_Name varchar(20) NULL,
   Delivery_Detail varchar(250) NULL,
   Carrier varchar(30) NULL,
   Customer_Ref_No varchar(20) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Customer_Order_Name ON Customer_Order (Name,Cust_Order_No,Order_Date);

CREATE INDEX Customer_Order_Staff_Name ON Customer_Order (Staff_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Customer_Order','Customer Fish Order');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Customer_Order','YES','YES');
--DROP TABLE Cust_Order_Item;

CREATE TABLE Cust_Order_Item (
   Name varchar(30) NOT NULL,
   Cust_Order_No varchar(15) NOT NULL,
   Order_Date varchar(10) NOT NULL,
   Order_Item varchar(20) NOT NULL,
   Fish_No integer NULL,
   Order_Qty numeric(10,2) NULL,
   Exp_Date varchar(10) NULL,
   Comment varchar(200) NULL,
   Delivery_Detail varchar(300) NULL,
   Carrier varchar(30) NULL,
   Customer_Name varchar(30) NULL,
   Price_Date varchar(10) NULL,
   Price_Item varchar(20) NULL,
   Description varchar(50) NULL,
   Price numeric(10,2) NULL,
   Billing_Cust_Name varchar(30) NULL,
   Exchange_Rate numeric(10,4) NULL,
   Receive_Weight numeric(10,2) NULL,
   K_Value numeric(10,2) NULL,
   Market_Comment varchar(255) NULL,
   Wholesale_Cust_Name varchar(30) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Cust_Order_Item_Name ON Cust_Order_Item (Name,Cust_Order_No,Order_Date,Order_Item);

CREATE INDEX Cust_Order_Item_Exp_Date ON Cust_Order_Item (Exp_Date);

CREATE INDEX Cust_Order_Item_Customer_Name ON Cust_Order_Item (Customer_Name);

CREATE INDEX Cust_Order_Item_Price_Date ON Cust_Order_Item (Price_Date);

CREATE INDEX Cust_Order_Item_Price_Item ON Cust_Order_Item (Price_Item);

CREATE INDEX Cust_Order_Item_Description ON Cust_Order_Item (Description);

CREATE INDEX Cust_Order_Item_Billing_Cust_Name ON Cust_Order_Item (Billing_Cust_Name);

CREATE INDEX Cust_Order_Item_Wholesale_Cust_Name ON Cust_Order_Item (Wholesale_Cust_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Cust_Order_Item','Customer Fish Order Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Cust_Order_Item','YES','YES');
--DROP TABLE Cut_Weight;

CREATE TABLE Cut_Weight (
   Name varchar(30) NOT NULL,
   Cust_Order_No varchar(15) NOT NULL,
   Order_Date varchar(10) NOT NULL,
   Order_Item varchar(20) NOT NULL,
   Harvest_Date varchar(10) NOT NULL,
   Carton_No integer NOT NULL,
   Fish_Id varchar(10) NOT NULL,
   Cage_Id varchar(10) NOT NULL,
   Seq_Number integer NOT NULL,
   Piece_No integer NOT NULL,
   Piece_Weight numeric(10,2) NOT NULL,
   Pack_Type varchar(10) NOT NULL,
   Package_Weight numeric(10,2) NULL,
   No_Packs integer NULL,
   Harvest_Tag_Id varchar(20) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Cut_Weight_Name ON Cut_Weight (Name,Cust_Order_No,Order_Date,Order_Item,Harvest_Date,Carton_No,Fish_Id,Cage_Id,Seq_Number,Piece_No);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Cut_Weight','Cut Weight');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Cut_Weight','YES','YES');
--DROP TABLE Delivery;

CREATE TABLE Delivery (
   Order_No varchar(20) NOT NULL,
   Stock_Name varchar(40) NOT NULL,
   Delivered_Date varchar(10) NOT NULL,
   Delivered_Time varchar(8) NOT NULL,
   Carrier_Name varchar(30) NOT NULL,
   Supplier_Name varchar(30) NOT NULL,
   Qty_Delivered integer NOT NULL,
   Carrier_Docket_No varchar(20) NULL,
   Driver_Name varchar(30) NULL,
   Freight numeric(10,2) NULL,
   Run_No varchar(20) NULL,
   Comment varchar(255) NULL,
   Vessel_Name varchar(30) NULL,
   Entry_No varchar(30) NULL,
   CDR_No varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Delivery_Order_No ON Delivery (Order_No,Stock_Name,Delivered_Date,Delivered_Time,Carrier_Name);

CREATE INDEX Delivery_Supplier_Name ON Delivery (Supplier_Name);

CREATE INDEX Delivery_Vessel_Name ON Delivery (Vessel_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Delivery','Delivery');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Delivery','YES','YES');
--DROP TABLE Delivery_Check;

CREATE TABLE Delivery_Check (
   Fish_Id varchar(10) NOT NULL,
   Fish_Stock_No integer NULL,
   Smolt_Intake_Date varchar(10) NOT NULL,
   Hatchery_Name varchar(40) NOT NULL,
   Time_Check varchar(8) NOT NULL,
   Location varchar(20) NOT NULL,
   Tank_1_DO varchar(10) NULL,
   Tank_2_DO varchar(10) NULL,
   Tank_3_DO varchar(10) NULL,
   Staff_Name varchar(20) NOT NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Delivery_Check_Fish_Id ON Delivery_Check (Fish_Id,Smolt_Intake_Date,Hatchery_Name,Time_Check,Location);

CREATE INDEX Delivery_Check_Fish_Stock_No ON Delivery_Check (Fish_Stock_No);

CREATE INDEX Delivery_Check_Staff_Name ON Delivery_Check (Staff_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Delivery_Check','Delivery Check');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Delivery_Check','YES','YES');
--DROP TABLE Despatch_Details;

CREATE TABLE Despatch_Details (
   Fish_Id varchar(10) NOT NULL,
   Despatch_Form_No varchar(10) NOT NULL,
   Despatch_Detail_No integer NOT NULL,
   Farm varchar(10) NOT NULL,
   Tank varchar(10) NOT NULL,
   Truck_Tank varchar(10) NULL,
   Marine_Cage varchar(10) NULL,
   Fish_Type varchar(20) NULL,
   Size_Category varchar(10) NULL,
   No_of_Fish integer NOT NULL,
   Mean_weight numeric(5,2) NOT NULL,
   Total_Weight numeric(10,2) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Despatch_Details_Fish_Id ON Despatch_Details (Fish_Id,Despatch_Form_No,Despatch_Detail_No);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Despatch_Details','Despatch Details');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Despatch_Details','YES','YES');
--DROP TABLE Dive_Maintenance;

CREATE TABLE Dive_Maintenance (
   Dive_Date varchar(10) NOT NULL,
   Cage_Id varchar(10) NOT NULL,
   Diver_Name varchar(20) NOT NULL,
   No_Holes integer NULL,
   Strops integer NULL,
   Weights integer NULL,
   Jump_Fence varchar(100) NULL,
   Net_Growth_above numeric(10,2) NULL,
   Net_Growth_Below numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Dive_Maintenance_Dive_Date ON Dive_Maintenance (Dive_Date,Cage_Id,Diver_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Dive_Maintenance','Dive Maintenance');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Dive_Maintenance','YES','YES');
--DROP TABLE Dive_Record;

CREATE TABLE Dive_Record (
   Job_No_P integer NULL,
   Fish_Id varchar(10) NULL,
   Cage_Id varchar(10) NULL,
   Date_Moved varchar(10) NULL,
   Dive_Date varchar(10) NOT NULL,
   Dive_Type_Name varchar(30) NULL,
   Start_Dive_Time varchar(10) NOT NULL,
   Diver_Name varchar(20) NOT NULL,
   Supervisor_Name varchar(20) NULL,
   Comment varchar(200) NULL,
   Wind_Speed varchar(10) NULL,
   Wind_Direction varchar(10) NULL,
   Sea_Height varchar(10) NULL,
   Tide varchar(10) NULL,
   Water_Visibility varchar(10) NULL,
   Time_in_water integer NULL,
   Net_Max_Depth numeric(10,2) NULL,
   Temperature numeric(10,1) NULL,
   Avg_Depth numeric(10,1) NULL,
   Max_Depth numeric(10,1) NULL,
   Avg_Water_Temp numeric(10,1) NULL,
   Min_Water_Temp numeric(10,1) NULL,
   Rest_Time varchar(10) NULL,
   Entry_Time varchar(10) NULL,
   Surface_Time varchar(10) NULL,
   Dive_Time varchar(10) NULL,
   Dive_location varchar(60) NULL,
   Weather_Report varchar(120) NULL,
   Holes varchar(40) NULL,
   Headline_Strops varchar(10) NULL,
   Electric_Fence varchar(20) NULL,
   Seal_Net varchar(30) NULL,
   Net_Growth numeric(10,2) NULL,
   Net_Growth_Below numeric(10,2) NULL,
   Counter_Weights varchar(20) NULL,
   Predators_in_Cage varchar(4) NULL,
   Anchors varchar(60) NULL,
   General_Notes varchar(200) NULL,
   Archive varchar(4) NULL,
   Cage_Cage_Id varchar(10) NULL,
   Bait_on_Bottom varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Dive_Record_Dive_Date ON Dive_Record (Dive_Date,Start_Dive_Time,Diver_Name);

CREATE INDEX Dive_Record_Job_No_P ON Dive_Record (Job_No_P);

CREATE INDEX Dive_Record_Fish_Id ON Dive_Record (Fish_Id);

CREATE INDEX Dive_Record_Cage_Id ON Dive_Record (Cage_Id);

CREATE INDEX Dive_Record_Date_Moved ON Dive_Record (Date_Moved);

CREATE INDEX Dive_Record_Cage_Cage_Id ON Dive_Record (Cage_Cage_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Dive_Record','General Dive Record');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Dive_Record','YES','YES');
--DROP TABLE Dive_Type;

CREATE TABLE Dive_Type (
   Name varchar(30) NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX Dive_Type_Name ON Dive_Type (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Dive_Type','Dive Type');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Dive_Type','YES','YES');
--DROP TABLE Environment;

CREATE TABLE Environment (
   Company_Name varchar(30) NOT NULL,
   Monitor_Date varchar(10) NOT NULL,
   Site_Name varchar(20) NOT NULL,
   Staff_Name varchar(30) NOT NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Environment_Company_Name ON Environment (Company_Name,Monitor_Date,Site_Name,Staff_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Environment','Cage Environment Monitoring');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Environment','YES','YES');
--DROP TABLE Environment_Item;

CREATE TABLE Environment_Item (
   Company_Name varchar(30) NOT NULL,
   Monitor_Date varchar(10) NOT NULL,
   Site_Name varchar(20) NOT NULL,
   Staff_Name varchar(30) NOT NULL,
   Location varchar(30) NOT NULL,
   Cage_Id varchar(10) NULL,
   Tdummy1 char(1) NULL,
   Temp_1 numeric(10,2) NULL,
   DO_1_ppt numeric(10,2) NULL,
   DO_1_per numeric(10,2) NULL,
   Temp_5 numeric(10,2) NULL,
   DO_5_ppt numeric(10,2) NULL,
   DO_5_per numeric(10,2) NULL,
   Temp_10 numeric(10,2) NULL,
   DO_10_ppt numeric(10,2) NULL,
   DO_10_per numeric(10,2) NULL,
   Temp_15 numeric(10,2) NULL,
   DO_15_ppt numeric(10,2) NULL,
   DO_15_per numeric(10,2) NULL,
   Tdummy2 char(1) NULL,
   Inside_m numeric(10,2) NULL,
   Outside_m numeric(10,2) NULL,
   Tdummy3 char(1) NULL,
   Wind_Direction varchar(6) NULL,
   Wind_Speed numeric(10,2) NULL,
   Tide numeric(10,2) NULL,
   Cloud_Cover numeric(10,2) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Environment_Item_Company_Name ON Environment_Item (Company_Name,Monitor_Date,Site_Name,Staff_Name,Location);

CREATE INDEX Environment_Item_Cage_Id ON Environment_Item (Cage_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Environment_Item','Environment Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Environment_Item','YES','YES');
--DROP TABLE Environment_Location;

CREATE TABLE Environment_Location (
   Location varchar(30) NOT NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Environment_Location_Location ON Environment_Location (Location);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Environment_Location','Environment Location');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Environment_Location','YES','YES');
--DROP TABLE ErrorMessage;

CREATE TABLE ErrorMessage (
   emRef integer NOT NULL,
   emText varchar(255) NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX ErrorMessage_emRef ON ErrorMessage (emRef);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('ErrorMessage','Information Message');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','ErrorMessage','YES','YES');
--DROP TABLE Farm_Cost;

CREATE TABLE Farm_Cost (
   Operating_Year numeric(4,0) NOT NULL,
   Staff_Cost numeric(10,2) NULL,
   Var_Staff_Cost numeric(4,2) NULL,
   Maintenance_Cost numeric(10,2) NULL,
   Var_Maintenance_Cost numeric(4,2) NULL,
   Farm_Operation_Cost numeric(10,2) NULL,
   Var_Farm_Operation_Cost numeric(4,2) NULL,
   Stock_Cost numeric(10,2) NULL,
   Var_Stock_Cost numeric(4,2) NULL,
   Rates_and_Taxes numeric(10,2) NULL,
   Var_Rates_and_Taxes_Cost numeric(4,2) NULL,
   Fuel_Cost numeric(10,2) NULL,
   Var_Fuel_Cost numeric(4,2) NULL,
   Consulting_Cost numeric(10,2) NULL,
   Var_Consulting_Cost numeric(4,2) NULL,
   Loans_Cost numeric(10,2) NULL,
   Var_Loan_Cost numeric(4,2) NULL,
   Oxygen_Cost numeric(10,2) NULL,
   Var_Oxygen_Cost numeric(4,2) NULL,
   Diving_Cost numeric(10,2) NULL,
   Var_Diving_Cost numeric(4,2) NULL,
   Packaging_Cost numeric(10,2) NULL,
   Var_Packing_Cost numeric(4,2) NULL,
   Insurance_Cost numeric(10,2) NULL,
   Var_Insurance_Cost numeric(4,2) NULL,
   Marketing_Cost numeric(10,2) NULL,
   Var_Marketing_Cost numeric(4,2) NULL,
   Operating_Capacity numeric(10,2) NULL,
   Var_Operating_capacity numeric(4,2) NULL,
   Selling_Price numeric(10,2) NULL,
   Var_Selling_Price numeric(4,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Farm_Cost_Operating_Year ON Farm_Cost (Operating_Year);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Farm_Cost','Farm Cost');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Farm_Cost','YES','YES');
--DROP TABLE FCR_Table;

CREATE TABLE FCR_Table (
   FCR_Name varchar(15) NOT NULL,
   Date_Created varchar(10) NOT NULL,
   Tdummy1 char(1) NULL,
   Tdummy2 char(1) NULL,
   Tdummy3 char(1) NULL,
   Tdummy4 char(1) NULL,
   Tdummy7 char(1) NULL,
   Tdummy8 char(1) NULL,
   Fish_50_10 numeric(3,2) NULL,
   Fish_50_12 numeric(3,2) NULL,
   Fish_50_14 numeric(3,2) NULL,
   Fish_50_16 numeric(3,2) NULL,
   Fish_50_17 numeric(3,2) NULL,
   Fish_50_18 numeric(3,2) NULL,
   Fish_100_10 numeric(3,2) NULL,
   Fish_100_12 numeric(3,2) NULL,
   Fish_100_14 numeric(3,2) NULL,
   Fish_100_16 numeric(3,2) NULL,
   Fish_100_17 numeric(3,2) NULL,
   Fish_100_18 numeric(3,2) NULL,
   Fish_500_10 numeric(3,2) NULL,
   Fish_500_12 numeric(3,2) NULL,
   Fish_500_14 numeric(3,2) NULL,
   Fish_500_16 numeric(3,2) NULL,
   Fish_500_17 numeric(3,2) NULL,
   Fish_500_18 numeric(3,2) NULL,
   Fish_750_10 numeric(3,2) NULL,
   Fish_750_12 numeric(3,2) NULL,
   Fish_750_14 numeric(3,2) NULL,
   Fish_750_16 numeric(3,2) NULL,
   Fish_750_17 numeric(3,2) NULL,
   Fish_750_18 numeric(3,2) NULL,
   Fish_1000_10 numeric(3,2) NULL,
   Fish_1000_12 numeric(3,2) NULL,
   Fish_1000_14 numeric(3,2) NULL,
   Fish_1000_16 numeric(3,2) NULL,
   Fish_1000_17 numeric(3,2) NULL,
   Fish_1000_18 numeric(3,2) NULL,
   Fish_1500_10 numeric(3,2) NULL,
   Fish_1500_12 numeric(3,2) NULL,
   Fish_1500_14 numeric(3,2) NULL,
   Fish_1500_16 numeric(3,2) NULL,
   Fish_1500_17 numeric(3,2) NULL,
   Fish_1500_18 numeric(3,2) NULL,
   Fish_2000_10 numeric(3,2) NULL,
   Fish_2000_12 numeric(3,2) NULL,
   Fish_2000_14 numeric(3,2) NULL,
   Fish_2000_16 numeric(3,2) NULL,
   Fish_2000_17 numeric(3,2) NULL,
   Fish_2000_18 numeric(3,2) NULL,
   Fish_3000_10 numeric(3,2) NULL,
   Fish_3000_12 numeric(3,2) NULL,
   Fish_3000_14 numeric(3,2) NULL,
   Fish_3000_16 numeric(3,2) NULL,
   Fish_3000_17 numeric(3,2) NULL,
   Fish_3000_18 numeric(3,2) NULL,
   Fish_4000_10 numeric(3,2) NULL,
   Fish_4000_12 numeric(3,2) NULL,
   Fish_4000_14 numeric(3,2) NULL,
   Fish_4000_16 numeric(3,2) NULL,
   Fish_4000_17 numeric(3,2) NULL,
   Fish_4000_18 numeric(3,2) NULL,
   Fish_5000_10 numeric(3,2) NULL,
   Fish_5000_12 numeric(3,2) NULL,
   Fish_5000_14 numeric(3,2) NULL,
   Fish_5000_16 numeric(3,2) NULL,
   Fish_5000_17 numeric(3,2) NULL,
   Fish_5000_18 numeric(3,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX FCR_Table_FCR_Name ON FCR_Table (FCR_Name);

CREATE INDEX FCR_Table_Date_Created ON FCR_Table (Date_Created);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('FCR_Table','FCR Table');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','FCR_Table','YES','YES');
--DROP TABLE Feeding_Crew;

CREATE TABLE Feeding_Crew (
   Trip_Number integer NOT NULL,
   Feeding_Date varchar(10) NOT NULL,
   Feeding_Time varchar(4) NOT NULL,
   Vessel_Name varchar(30) NOT NULL,
   Crew_Member varchar(20) NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX Feeding_Crew_Trip_Number ON Feeding_Crew (Trip_Number,Feeding_Date,Feeding_Time,Vessel_Name,Crew_Member);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Feeding_Crew','Feeding Trip Crew');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Feeding_Crew','YES','YES');
--DROP TABLE Feeding_Pallet_No;

CREATE TABLE Feeding_Pallet_No (
   Trip_Number integer NOT NULL,
   Fish_Id varchar(10) NOT NULL,
   Cage_Id varchar(10) NOT NULL,
   Feeding_Date varchar(10) NOT NULL,
   Feeding_Time varchar(4) NOT NULL,
   Vessel_Name varchar(30) NOT NULL,
   Pallet_No varchar(15) NOT NULL,
   Stock_Name varchar(40) NULL,
   Pallet_Weight_Used numeric(10,2) NOT NULL,
   Pallet_Weight_Returned numeric(10,2) NULL,
   Bin_Number varchar(20) NULL,
   Feed_Method varchar(20) NULL,
   Feed_Behaviour varchar(15) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Feeding_Pallet_No_Trip_Number ON Feeding_Pallet_No (Trip_Number,Fish_Id,Cage_Id,Feeding_Date,Feeding_Time,Vessel_Name,Pallet_No);

CREATE INDEX Feeding_Pallet_No_Bin_Number ON Feeding_Pallet_No (Bin_Number);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Feeding_Pallet_No','Feeding Trip Pallet No');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Feeding_Pallet_No','YES','YES');
--DROP TABLE Feeding_Schedule;

CREATE TABLE Feeding_Schedule (
   Trip_Number integer NOT NULL,
   Cage_Id varchar(10) NOT NULL,
   Fish_Id varchar(10) NOT NULL,
   Job_No integer NOT NULL,
   Date_Moved varchar(10) NOT NULL,
   Feeding_Date varchar(10) NOT NULL,
   Feeding_Time varchar(4) NOT NULL,
   Vessel_Name varchar(30) NOT NULL,
   Mooring_to_Site_Name varchar(20) NOT NULL,
   Mooring_to_Mooring_Id varchar(15) NOT NULL,
   Mooring_To_Occupy_Date varchar(10) NOT NULL,
   Tdummy1 char(1) NULL,
   Temp_1 numeric(10,2) NULL,
   DO_1_ppt numeric(10,2) NULL,
   DO_1_per numeric(10,2) NULL,
   Temp_5 numeric(10,2) NULL,
   DO_5_ppt numeric(10,2) NULL,
   DO_5_per numeric(10,2) NULL,
   Temp_10 numeric(10,2) NULL,
   DO_10_ppt numeric(10,2) NULL,
   DO_10_per numeric(10,2) NULL,
   Temp_15 numeric(10,2) NULL,
   DO_15_ppt numeric(10,2) NULL,
   DO_15_per numeric(10,2) NULL,
   Tdummy2 char(1) NULL,
   Inside_m numeric(10,2) NULL,
   Outside_m numeric(10,2) NULL,
   Tdummy3 char(1) NULL,
   Wind_Direction varchar(6) NULL,
   Wind_Speed numeric(10,2) NULL,
   Tide numeric(10,2) NULL,
   Cloud_Cover numeric(10,2) NULL,
   Comment varchar(200) NULL,
   Feed_Method varchar(20) NULL,
   Feed_Behaviour varchar(15) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Feeding_Schedule_Trip_Number ON Feeding_Schedule (Trip_Number,Cage_Id,Fish_Id,Feeding_Date,Feeding_Time,Vessel_Name);

CREATE INDEX Feeding_Schedule_Job_No ON Feeding_Schedule (Job_No);

CREATE INDEX Feeding_Schedule_Date_Moved ON Feeding_Schedule (Date_Moved);

CREATE INDEX Feeding_Schedule_Mooring_to_Site_Name ON Feeding_Schedule (Mooring_to_Site_Name);

CREATE INDEX Feeding_Schedule_Mooring_to_Mooring_Id ON Feeding_Schedule (Mooring_to_Mooring_Id);

CREATE INDEX Feeding_Schedule_Mooring_To_Occupy_Date ON Feeding_Schedule (Mooring_To_Occupy_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Feeding_Schedule','Feeding Trip Cages');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Feeding_Schedule','YES','YES');
--DROP TABLE Feeding_Trip;

CREATE TABLE Feeding_Trip (
   Trip_Number integer NOT NULL,
   Feeding_Date varchar(10) NOT NULL,
   Feeding_Time varchar(4) NOT NULL,
   Vessel_Name varchar(30) NOT NULL,
   Skipper_Name varchar(20) NULL,
   Comment varchar(200) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Feeding_Trip_Trip_Number ON Feeding_Trip (Trip_Number,Feeding_Date,Feeding_Time,Vessel_Name);

CREATE INDEX Feeding_Trip_Skipper_Name ON Feeding_Trip (Skipper_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Feeding_Trip','Feeding Trip');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Feeding_Trip','YES','YES');
--DROP TABLE Feed_Cage_Vitamins;

CREATE TABLE Feed_Cage_Vitamins (
   Trip_Number integer NOT NULL,
   Fish_Id varchar(10) NOT NULL,
   Cage_Id varchar(10) NOT NULL,
   Feeding_Date varchar(10) NOT NULL,
   Feeding_Time varchar(4) NOT NULL,
   Vessel_Name varchar(30) NOT NULL,
   Stock_Name varchar(40) NOT NULL,
   Item_Type_Name varchar(20) NOT NULL,
   Qty_Used numeric(10,2) NOT NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Feed_Cage_Vitamins_Trip_Number ON Feed_Cage_Vitamins (Trip_Number,Fish_Id,Cage_Id,Feeding_Date,Feeding_Time,Vessel_Name,Stock_Name,Item_Type_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Feed_Cage_Vitamins','Feed Trip Cage Vitamins');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Feed_Cage_Vitamins','YES','YES');
--DROP TABLE Feed_Fish_Pellet_Size;

CREATE TABLE Feed_Fish_Pellet_Size (
   Stock_Name varchar(40) NOT NULL,
   Item_Type_Name varchar(20) NOT NULL,
   Date_Created varchar(10) NOT NULL,
   Tdummy1 char(1) NULL,
   TDummy2 varchar(1) NULL,
   TDummy3 integer NULL,
   Fish_Size_1_3 numeric(3,1) NULL,
   Fish_Size_1_3_End numeric(3,1) NULL,
   No_1_3 integer NULL,
   Fish_Size_3_5 numeric(3,1) NULL,
   Fish_Size_3_5_End numeric(3,1) NULL,
   No_3_5 integer NULL,
   Fish_Size_5_180 numeric(3,1) NULL,
   Fish_Size_5_180_End numeric(3,1) NULL,
   No_5_180 integer NULL,
   Fish_Size_180_400 numeric(3,1) NULL,
   Fish_Size_180_400_End numeric(3,1) NULL,
   No_180_400 integer NULL,
   Fish_Size_400_750 numeric(3,1) NULL,
   Fish_Size_400_750_End numeric(3,1) NULL,
   No_400_750 integer NULL,
   Fish_Size_750_1500 numeric(3,1) NULL,
   Fish_Size_750_1500_End numeric(3,1) NULL,
   No_750_1500 integer NULL,
   Fish_Size_1500_2200 numeric(3,1) NULL,
   Fish_Size_1500_2200_End numeric(3,1) NULL,
   No_1500_2200 integer NULL,
   Fish_Size_2200_3200 numeric(3,1) NULL,
   Fish_Size_2200_3200_End numeric(3,1) NULL,
   No_2200_3200 integer NULL,
   Fish_Size_3200 numeric(3,1) NULL,
   Fish_Size_3200_End numeric(3,1) NULL,
   No_3200 integer NULL
);

CREATE UNIQUE CLUSTERED INDEX Feed_Fish_Pellet_Size_Stock_Name ON Feed_Fish_Pellet_Size (Stock_Name,Item_Type_Name,Date_Created);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Feed_Fish_Pellet_Size','Feed Fish Pellet Size');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Feed_Fish_Pellet_Size','YES','YES');
--DROP TABLE Feed_Held_Over;

CREATE TABLE Feed_Held_Over (
   Trip_Number integer NOT NULL,
   Feeding_Date varchar(10) NOT NULL,
   Feeding_Time varchar(4) NOT NULL,
   Vessel_Name varchar(30) NOT NULL,
   Pallet_No varchar(15) NOT NULL,
   Stock_Name varchar(40) NULL,
   Qty_Held numeric(10,2) NOT NULL,
   Qty_Lost numeric(10,2) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Feed_Held_Over_Trip_Number ON Feed_Held_Over (Trip_Number,Feeding_Date,Feeding_Time,Vessel_Name,Pallet_No);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Feed_Held_Over','Feed Held Over / Lost');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Feed_Held_Over','YES','YES');
--DROP TABLE Feed_Quality;

CREATE TABLE Feed_Quality (
   Pallet_No varchar(15) NOT NULL,
   Sample_No integer NOT NULL,
   Sample_Date varchar(10) NOT NULL,
   Sent_Date varchar(10) NOT NULL,
   Lab_Result_No varchar(20) NULL,
   Lab_Name varchar(60) NOT NULL,
   Sample_Weight numeric(10,2) NOT NULL,
   Sample_Comment varchar(255) NULL,
   Dummy1 char(1) NULL,
   Receive_Date varchar(10) NULL,
   Analysis_Date varchar(10) NULL,
   Fat_gm numeric(10,2) NULL,
   Protein numeric(10,2) NULL,
   Fat_percent numeric(10,2) NULL,
   Protein_percent numeric(10,2) NULL,
   Lab_Comments varchar(255) NULL,
   Moisture numeric(10,2) NULL,
   Ash numeric(10,2) NULL,
   Energy numeric(10,2) NULL,
   Free_Fat_Acids numeric(10,2) NULL,
   Peroxide numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Feed_Quality_Pallet_No ON Feed_Quality (Pallet_No,Sample_No,Sample_Date,Sent_Date);

CREATE INDEX Feed_Quality_Lab_Name ON Feed_Quality (Lab_Name);

CREATE INDEX Feed_Quality_Receive_Date ON Feed_Quality (Receive_Date);

CREATE INDEX Feed_Quality_Analysis_Date ON Feed_Quality (Analysis_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Feed_Quality','Feed Quality');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Feed_Quality','YES','YES');
--DROP TABLE Feed_Stock_Adjust;

CREATE TABLE Feed_Stock_Adjust (
   Stock_Name varchar(40) NOT NULL,
   Stock_Item_Type varchar(20) NOT NULL,
   Adjust_Date varchar(10) NOT NULL,
   Adjust_Qty integer NULL,
   New_Qty_in_Stock numeric(10,2) NULL,
   New_Price numeric(10,2) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Feed_Stock_Adjust_Stock_Name ON Feed_Stock_Adjust (Stock_Name,Stock_Item_Type,Adjust_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Feed_Stock_Adjust','Feed Stock Take');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Feed_Stock_Adjust','YES','YES');
--DROP TABLE Final_Sale_Detail;

CREATE TABLE Final_Sale_Detail (
   Name varchar(30) NOT NULL,
   Shipment_No varchar(20) NOT NULL,
   Order_Date varchar(10) NOT NULL,
   Order_Item varchar(20) NOT NULL,
   Cust_Order_No varchar(15) NOT NULL,
   Payment_Date varchar(10) NOT NULL,
   Fish_No integer NOT NULL,
   Nett_Total_Weight numeric(10,2) NOT NULL,
   Gross_Invoice_Amt_Foreign numeric(12,2) NOT NULL,
   Market_Reject integer NULL,
   Foreign_Currency varchar(10) NOT NULL,
   Date_Sale_Exchange_Rate numeric(10,4) NOT NULL,
   Gross_Invoice_Amt_AUD numeric(10,2) NULL,
   Price_pkg_foreign_bc numeric(10,2) NULL,
   Price_pkg_AUD_bc numeric(10,2) NULL,
   Overseas_Costs_Foreign numeric(10,2) NULL,
   Overseas_Costs_AUD numeric(10,2) NULL,
   Invoice_Amt_Foreign_ac numeric(12,2) NULL,
   Invoice_Amt_AUD_ac numeric(10,2) NULL,
   Price_pkg_foreign_ac numeric(10,2) NULL,
   Price_pkg_AUD_ac numeric(10,2) NULL,
   Date_Paid_Exchange_Rate numeric(10,4) NULL,
   Invoice_Amt_AUD_ac_dper numeric(10,2) NULL,
   Forex_Trade numeric(10,2) NULL,
   Final_Invoice_Amt_AUD numeric(10,2) NULL,
   Final_pk_AUD numeric(10,2) NULL,
   Aust_Cost numeric(10,2) NULL,
   Final_amt_aac numeric(10,2) NULL,
   Final_Amt_pkg_aac numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Final_Sale_Detail_Name ON Final_Sale_Detail (Name,Shipment_No,Order_Date,Order_Item,Cust_Order_No,Payment_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Final_Sale_Detail','Final Sale Detail');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Final_Sale_Detail','YES','YES');
--DROP TABLE Fishery;

CREATE TABLE Fishery (
   Fishery_Name varchar(60) NOT NULL,
   Abbrev_Name varchar(8) NOT NULL,
   Comment varchar(200) NULL,
   Tdummy4 char(1) NULL,
   JD_lP numeric(10,2) NULL,
   RRP_lP numeric(10,2) NULL,
   MD_lP numeric(10,2) NULL,
   Redfish_lP numeric(10,2) NULL,
   FH_lP numeric(10,2) NULL,
   OP_lP numeric(10,2) NULL,
   GES_lP numeric(10,2) NULL,
   EF_lP numeric(10,2) NULL,
   GWS_lP numeric(10,2) NULL,
   GS_lP numeric(10,2) NULL,
   BG_lP numeric(10,2) NULL,
   SS_lP numeric(10,2) NULL,
   Ling_lP numeric(10,2) NULL,
   SSF_lP numeric(10,2) NULL,
   JM_lP numeric(10,2) NULL,
   BT_lP numeric(10,2) NULL,
   ORC_lP numeric(10,2) NULL,
   ST_lP numeric(10,2) NULL,
   ORE_lP numeric(10,2) NULL,
   SW_lP numeric(10,2) NULL,
   ORS_lP numeric(10,2) NULL,
   BW_lP numeric(10,2) NULL,
   ORW_lP numeric(10,2) NULL,
   WH_lP numeric(10,2) NULL,
   Map_Location varchar(50) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fishery_Fishery_Name ON Fishery (Fishery_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fishery','Fishery');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fishery','YES','YES');
--DROP TABLE Fishery_Levies;

CREATE TABLE Fishery_Levies (
   Fishery_Name varchar(60) NOT NULL,
   Season_Year numeric(4,0) NOT NULL,
   Tdummy4 char(1) NULL,
   JD_lP numeric(10,2) NULL,
   RRP_lP numeric(10,2) NULL,
   MD_lP numeric(10,2) NULL,
   Redfish_lP numeric(10,2) NULL,
   FH_lP numeric(10,2) NULL,
   OP_lP numeric(10,2) NULL,
   GES_lP numeric(10,2) NULL,
   EF_lP numeric(10,2) NULL,
   GWS_lP numeric(10,2) NULL,
   GS_lP numeric(10,2) NULL,
   BG_lP numeric(10,2) NULL,
   SS_lP numeric(10,2) NULL,
   Ling_lP numeric(10,2) NULL,
   SSF_lP numeric(10,2) NULL,
   JM_lP numeric(10,2) NULL,
   BT_lP numeric(10,2) NULL,
   ORC_lP numeric(10,2) NULL,
   ST_lP numeric(10,2) NULL,
   ORE_lP numeric(10,2) NULL,
   SW_lP numeric(10,2) NULL,
   ORS_lP numeric(10,2) NULL,
   BW_lP numeric(10,2) NULL,
   ORW_lP numeric(10,2) NULL,
   WH_lP numeric(10,2) NULL,
   SBT_lP numeric(10,2) NULL,
   LP_lP numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fishery_Levies_Fishery_Name ON Fishery_Levies (Fishery_Name,Season_Year);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fishery_Levies','Fishery Levies');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fishery_Levies','YES','YES');
--DROP TABLE Fishing_Trip;

CREATE TABLE Fishing_Trip (
   Trip_No integer NOT NULL,
   Departure_Date varchar(10) NOT NULL,
   Company_Name varchar(30) NOT NULL,
   Vessel_Name varchar(30) NOT NULL,
   Fishery_Name varchar(60) NOT NULL,
   Season_Year numeric(4,0) NOT NULL,
   Unload_Date varchar(10) NOT NULL,
   AFMA varchar(20) NOT NULL,
   Tdummy1 char(1) NULL,
   JD numeric(10,2) NULL,
   RRP numeric(10,2) NULL,
   MD numeric(10,2) NULL,
   Redfish numeric(10,2) NULL,
   FH numeric(10,2) NULL,
   OP numeric(10,2) NULL,
   GES numeric(10,2) NULL,
   EF numeric(10,2) NULL,
   GWS numeric(10,2) NULL,
   GS numeric(10,2) NULL,
   BG numeric(10,2) NULL,
   SS numeric(10,2) NULL,
   Ling numeric(10,2) NULL,
   SSF numeric(10,2) NULL,
   JM numeric(10,2) NULL,
   BT numeric(10,2) NULL,
   ORC numeric(10,2) NULL,
   ST numeric(10,2) NULL,
   ORE numeric(10,2) NULL,
   SW numeric(10,2) NULL,
   ORS numeric(10,2) NULL,
   BW numeric(10,2) NULL,
   ORW numeric(10,2) NULL,
   WH numeric(10,2) NULL,
   SBT numeric(10,2) NULL,
   LP numeric(10,2) NULL,
   Skipper_Name varchar(20) NOT NULL,
   Comment varchar(200) NULL,
   No_Days_Fished integer NULL,
   No_Days_Steaming numeric(10,1) NULL,
   Fuel_Taken numeric(10,2) NULL,
   Fuel_Cost_per_litre numeric(10,2) NULL,
   Bait_Taken numeric(10,2) NULL,
   Bait_Left_on_Board numeric(10,2) NULL,
   Total_Hooks_Set integer NULL,
   Total_Catch_Daytime numeric(10,2) NULL,
   Total_Catch_Night numeric(10,2) NULL,
   Vessel_Cost numeric(10,2) NULL,
   Tdummy2 char(1) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fishing_Trip_Trip_No ON Fishing_Trip (Trip_No,Departure_Date,Company_Name,Vessel_Name,Fishery_Name,Season_Year);

CREATE INDEX Fishing_Trip_Unload_Date ON Fishing_Trip (Unload_Date);

CREATE INDEX Fishing_Trip_Skipper_Name ON Fishing_Trip (Skipper_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fishing_Trip','Fishing Trip');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fishing_Trip','YES','YES');
--DROP TABLE Fishing_Trip_Item;

CREATE TABLE Fishing_Trip_Item (
   Trip_No integer NOT NULL,
   Departure_Date varchar(10) NOT NULL,
   Company_Name varchar(30) NOT NULL,
   Vessel_Name varchar(30) NOT NULL,
   Fishery_Name varchar(60) NOT NULL,
   Season_Year numeric(4,0) NOT NULL,
   Item_Type varchar(50) NOT NULL,
   Process_Form varchar(20) NULL,
   Catch_Qty numeric(10,2) NOT NULL,
   Process_Type varchar(10) NOT NULL,
   Cost_Price numeric(10,2) NULL,
   Report_Screen_Name varchar(40) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fishing_Trip_Item_Trip_No ON Fishing_Trip_Item (Trip_No,Departure_Date,Company_Name,Vessel_Name,Fishery_Name,Season_Year,Item_Type,Process_Type);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fishing_Trip_Item','Fishing Trip Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fishing_Trip_Item','YES','YES');
--DROP TABLE Fish_Adjustment;

CREATE TABLE Fish_Adjustment (
   Adjust_Fish_Id varchar(10) NOT NULL,
   Adjust_Date varchar(10) NOT NULL,
   Adjust_Qty integer NULL,
   Comment varchar(200) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fish_Adjustment_Adjust_Fish_Id ON Fish_Adjustment (Adjust_Fish_Id,Adjust_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fish_Adjustment','Fish Adjustment');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fish_Adjustment','YES','YES');
--DROP TABLE Fish_Health;

CREATE TABLE Fish_Health (
   Fish_Id varchar(10) NOT NULL,
   FH_Date varchar(10) NOT NULL,
   Check_Type varchar(15) NOT NULL,
   Total_Fish numeric(6,0) NOT NULL,
   Staff_Name varchar(20) NOT NULL,
   Gill_Health_Good numeric(3,0) NULL,
   Gill_Health_Moppy numeric(3,0) NULL,
   Gill_Health_CN numeric(3,0) NULL,
   Gill_Health_Other numeric(3,0) NULL,
   Weight_Method varchar(10) NULL,
   Weight_Fish_Total integer NULL,
   Avg_Live_Weight numeric(10,0) NULL,
   Weight_Coefficient varchar(10) NULL,
   Weight_Variation varchar(10) NULL,
   Weight_Comment varchar(100) NULL,
   Comment varchar(200) NULL,
   Sample_date varchar(10) NULL,
   No_Fish_Sampled integer NULL,
   Sample_Type varchar(35) NULL,
   Samples_Sent varchar(100) NULL,
   Samples_Comment varchar(200) NULL,
   Avg_Fish_Length numeric(10,2) NULL,
   Fish_Count integer NULL,
   Est_Start_Weight numeric(10,0) NULL,
   Calc_Start_Weight numeric(10,0) NULL,
   Moisture numeric(10,2) NULL,
   Ash numeric(10,2) NULL,
   Energy numeric(10,2) NULL,
   Free_Fat_Acids numeric(10,2) NULL,
   Peroxide numeric(10,2) NULL,
   Kudoa varchar(15) NULL,
   Milky_Eye varchar(4) NULL,
   Tag_Id varchar(20) NULL,
   Catch_Fish_Id varchar(10) NULL,
   Tow_No varchar(15) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fish_Health_Fish_Id ON Fish_Health (Fish_Id,FH_Date,Check_Type);

CREATE INDEX Fish_Health_Staff_Name ON Fish_Health (Staff_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fish_Health','Fish Health');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fish_Health','YES','YES');
--DROP TABLE Fish_Health_Detail;

CREATE TABLE Fish_Health_Detail (
   Fish_Id varchar(10) NOT NULL,
   FH_Date varchar(10) NOT NULL,
   Check_Type varchar(15) NOT NULL,
   Name varchar(20) NOT NULL,
   Affected_No integer NOT NULL,
   Comment varchar(200) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fish_Health_Detail_Fish_Id ON Fish_Health_Detail (Fish_Id,FH_Date,Check_Type,Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fish_Health_Detail','Fish Health Detail');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fish_Health_Detail','YES','YES');
--DROP TABLE Fish_Oxygen;

CREATE TABLE Fish_Oxygen (
   Job_No integer NOT NULL,
   Fish_Id varchar(10) NOT NULL,
   Cage_Id varchar(10) NOT NULL,
   Date_Moved varchar(10) NOT NULL,
   Monitor_Date varchar(10) NOT NULL,
   Current_Mooring_Id varchar(15) NOT NULL,
   Current_Site_Name varchar(20) NULL,
   Comment varchar(255) NULL,
   Tdummy1 char(1) NULL,
   Tdummy2 char(1) NULL,
   Tdummy3 char(1) NULL,
   Tdummy4 char(1) NULL,
   Tdummy5 char(1) NULL,
   Tdummy6 char(1) NULL,
   Tdummy7 char(1) NULL,
   Time1_Om varchar(8) NULL,
   Om_1_0m numeric(10,2) NULL,
   Om_1_0mt numeric(10,2) NULL,
   Om_1_3m numeric(10,2) NULL,
   Om_1_3mt numeric(10,2) NULL,
   Om_1_5m numeric(10,2) NULL,
   Om_1_5mt numeric(10,2) NULL,
   Time2_Om varchar(8) NULL,
   Om_2_0m numeric(10,2) NULL,
   Om_2_0mt numeric(10,2) NULL,
   Om_2_3m numeric(10,2) NULL,
   Om_2_3mt numeric(10,2) NULL,
   Om_2_5m numeric(10,2) NULL,
   Om_2_5mt numeric(10,2) NULL,
   Time3_Om varchar(8) NULL,
   Om_3_0m numeric(10,2) NULL,
   Om_3_0mt numeric(10,2) NULL,
   Om_3_3m numeric(10,2) NULL,
   Om_3_3mt numeric(10,2) NULL,
   Om_3_5m numeric(10,2) NULL,
   Om_3_5mt numeric(10,2) NULL,
   Time4_Om varchar(8) NULL,
   Om_4_0m numeric(10,2) NULL,
   Om_4_0mt numeric(10,2) NULL,
   Om_4_3m numeric(10,2) NULL,
   Om_4_3mt numeric(10,2) NULL,
   Om_4_5m numeric(10,2) NULL,
   Om_4_5mt numeric(10,2) NULL,
   Time5_Om varchar(8) NULL,
   Om_5_0m numeric(10,2) NULL,
   Om_5_0mt numeric(10,2) NULL,
   Om_5_3m numeric(10,2) NULL,
   Om_5_3mt numeric(10,2) NULL,
   Om_5_5m numeric(10,2) NULL,
   Om_5_5mt numeric(10,2) NULL,
   Time6_Om varchar(8) NULL,
   Om_6_0m numeric(10,2) NULL,
   Om_6_0mt numeric(10,2) NULL,
   Om_6_3m numeric(10,2) NULL,
   Om_6_3mt numeric(10,2) NULL,
   Om_6_5m numeric(10,2) NULL,
   Om_6_5mt numeric(10,2) NULL,
   Time7_Om varchar(8) NULL,
   Om_7_0m numeric(10,2) NULL,
   Om_7_0mt numeric(10,2) NULL,
   Om_7_3m numeric(10,2) NULL,
   Om_7_3mt numeric(10,2) NULL,
   Om_7_5m numeric(10,2) NULL,
   Om_7_5mt numeric(10,2) NULL,
   Time8_Om varchar(8) NULL,
   Om_8_0m numeric(10,2) NULL,
   Om_8_0mt numeric(10,2) NULL,
   Om_8_3m numeric(10,2) NULL,
   Om_8_3mt numeric(10,2) NULL,
   Om_8_5m numeric(10,2) NULL,
   Om_8_5mt numeric(10,2) NULL,
   Tdummy8 char(1) NULL,
   Tdummy9 char(1) NULL,
   Tdummy10 char(1) NULL,
   Tdummy11 char(1) NULL,
   Tdummy12 char(1) NULL,
   Tdummy13 char(1) NULL,
   Tdummy14 char(1) NULL,
   Time1_Oms varchar(8) NULL,
   Om_1_0ms numeric(10,2) NULL,
   Om_1_0mts numeric(10,2) NULL,
   Om_1_3ms numeric(10,2) NULL,
   Om_1_3mts numeric(10,2) NULL,
   Om_1_5ms numeric(10,2) NULL,
   Om_1_5mts numeric(10,2) NULL,
   Time2_Oms varchar(8) NULL,
   Om_2_0ms numeric(10,2) NULL,
   Om_2_0mts numeric(10,2) NULL,
   Om_2_3ms numeric(10,2) NULL,
   Om_2_3mts numeric(10,2) NULL,
   Om_2_5ms numeric(10,2) NULL,
   Om_2_5mts numeric(10,2) NULL,
   Time3_Oms varchar(8) NULL,
   Om_3_0ms numeric(10,2) NULL,
   Om_3_0mts numeric(10,2) NULL,
   Om_3_3ms numeric(10,2) NULL,
   Om_3_3mts numeric(10,2) NULL,
   Om_3_5ms numeric(10,2) NULL,
   Om_3_5mts numeric(10,2) NULL,
   Time4_Oms varchar(8) NULL,
   Om_4_0ms numeric(10,2) NULL,
   Om_4_0mts numeric(10,2) NULL,
   Om_4_3ms numeric(10,2) NULL,
   Om_4_3mts numeric(10,2) NULL,
   Om_4_5ms numeric(10,2) NULL,
   Om_4_5mts numeric(10,2) NULL,
   Time5_Oms varchar(8) NULL,
   Om_5_0ms numeric(10,2) NULL,
   Om_5_0mts numeric(10,2) NULL,
   Om_5_3ms numeric(10,2) NULL,
   Om_5_3mts numeric(10,2) NULL,
   Om_5_5ms numeric(10,2) NULL,
   Om_5_5mts numeric(10,2) NULL,
   Time6_Oms varchar(8) NULL,
   Om_6_0ms numeric(10,2) NULL,
   Om_6_0mts numeric(10,2) NULL,
   Om_6_3ms numeric(10,2) NULL,
   Om_6_3mts numeric(10,2) NULL,
   Om_6_5ms numeric(10,2) NULL,
   Om_6_5mts numeric(10,2) NULL,
   Time7_Oms varchar(8) NULL,
   Om_7_0ms numeric(10,2) NULL,
   Om_7_0mts numeric(10,2) NULL,
   Om_7_3ms numeric(10,2) NULL,
   Om_7_3mts numeric(10,2) NULL,
   Om_7_5ms numeric(10,2) NULL,
   Om_7_5mts numeric(10,2) NULL,
   Time8_Oms varchar(8) NULL,
   Om_8_0ms numeric(10,2) NULL,
   Om_8_0mts numeric(10,2) NULL,
   Om_8_3ms numeric(10,2) NULL,
   Om_8_3mts numeric(10,2) NULL,
   Om_8_5ms numeric(10,2) NULL,
   Om_8_5mts numeric(10,2) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fish_Oxygen_Job_No ON Fish_Oxygen (Job_No,Fish_Id,Cage_Id,Date_Moved,Monitor_Date);

CREATE INDEX Fish_Oxygen_Current_Mooring_Id ON Fish_Oxygen (Current_Mooring_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fish_Oxygen','Fish Oxygen');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fish_Oxygen','YES','YES');
--DROP TABLE Fish_Processor;

CREATE TABLE Fish_Processor (
   Name varchar(30) NOT NULL,
   Contact varchar(30) NULL,
   Address varchar(50) NULL,
   Suburb varchar(30) NULL,
   State varchar(10) NULL,
   Postcode numeric(6,0) NULL,
   Phone varchar(15) NULL,
   Fax varchar(15) NULL,
   Email varchar(50) NULL,
   Sales_Tax varchar(10) NULL,
   ABN_No varchar(20) NULL,
   ACN_No varchar(20) NULL,
   Comment varchar(200) NULL,
   Web_Site varchar(40) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fish_Processor_Name ON Fish_Processor (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fish_Processor','Fish Processor');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fish_Processor','YES','YES');
--DROP TABLE Fish_Stock;

CREATE TABLE Fish_Stock (
   Fish_Id varchar(10) NOT NULL,
   Fish_Stock_No integer NOT NULL,
   Smolt_Intake_Date varchar(10) NOT NULL,
   Company_Name varchar(30) NOT NULL,
   Site_Name varchar(20) NOT NULL,
   Stock_Name varchar(40) NOT NULL,
   Stock_Item_Type varchar(20) NOT NULL,
   Fish_Type varchar(20) NOT NULL,
   Hatchery_Name varchar(40) NOT NULL,
   No_Fish_Delivered numeric(10,0) NOT NULL,
   Avg_Fish_Weight numeric(10,2) NOT NULL,
   Biomass numeric(12,4) NOT NULL,
   Fish_Cost numeric(10,2) NULL,
   Fish_Age varchar(10) NULL,
   Dissolved_Oxygen varchar(10) NULL,
   Temperature varchar(10) NULL,
   Salinity varchar(10) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fish_Stock_Fish_Id ON Fish_Stock (Fish_Id,Fish_Stock_No);

CREATE INDEX Fish_Stock_Smolt_Intake_Date ON Fish_Stock (Smolt_Intake_Date);

CREATE INDEX Fish_Stock_Company_Name ON Fish_Stock (Company_Name);

CREATE INDEX Fish_Stock_Site_Name ON Fish_Stock (Site_Name);

CREATE INDEX Fish_Stock_Stock_Name ON Fish_Stock (Stock_Name);

CREATE INDEX Fish_Stock_Stock_Item_Type ON Fish_Stock (Stock_Item_Type);

CREATE INDEX Fish_Stock_Hatchery_Name ON Fish_Stock (Hatchery_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fish_Stock','Hatchery Intake');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fish_Stock','YES','YES');
--DROP TABLE Fish_Type;

CREATE TABLE Fish_Type (
   Fish_Type varchar(20) NOT NULL,
   Comment varchar(200) NULL,
   Commercial_Name varchar(30) NULL,
   Scientific_Name varchar(60) NULL
);

CREATE UNIQUE CLUSTERED INDEX Fish_Type_Fish_Type ON Fish_Type (Fish_Type);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Fish_Type','Fish Type');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Fish_Type','YES','YES');
--DROP TABLE Forecast;

CREATE TABLE Forecast (
   Forecast_Year numeric(4,0) NOT NULL,
   Fish_Id varchar(10) NOT NULL,
   Tow_No varchar(15) NOT NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Forecast_Forecast_Year ON Forecast (Forecast_Year,Fish_Id,Tow_No);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Forecast','Forecast');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Forecast','YES','YES');
--DROP TABLE Forecast_Week;

CREATE TABLE Forecast_Week (
   Forecast_Year numeric(4,0) NOT NULL,
   Fish_Id varchar(10) NOT NULL,
   Tow_No varchar(15) NOT NULL,
   Week_No integer NOT NULL,
   Week_Start_Date varchar(10) NOT NULL,
   No_Feed_Days numeric(1,0) NOT NULL,
   FCR numeric(4,2) NULL,
   BWPD numeric(4,2) NULL,
   Morts integer NULL,
   Harvest integer NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Forecast_Week_Forecast_Year ON Forecast_Week (Forecast_Year,Fish_Id,Tow_No,Week_No);

CREATE INDEX Forecast_Week_Week_Start_Date ON Forecast_Week (Week_Start_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Forecast_Week','Forecast Week');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Forecast_Week','YES','YES');
--DROP TABLE Freezer;

CREATE TABLE Freezer (
   Freezer_No varchar(30) NOT NULL,
   Comment varchar(200) NULL,
   Vessel_Name varchar(30) NULL,
   Company_Name varchar(30) NULL,
   Site_Name varchar(20) NULL,
   Site_Abbrev_Name varchar(3) NULL
);

CREATE UNIQUE CLUSTERED INDEX Freezer_Freezer_No ON Freezer (Freezer_No);

CREATE INDEX Freezer_Vessel_Name ON Freezer (Vessel_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Freezer','Freezer');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Freezer','YES','YES');
--DROP TABLE Freezer_Transfer;

CREATE TABLE Freezer_Transfer (
   To_Freezer_No varchar(30) NOT NULL,
   Tranfered_Date varchar(10) NOT NULL,
   Pallet_No varchar(15) NOT NULL,
   From_Freezer_No varchar(30) NULL,
   Transfer_Time varchar(8) NULL,
   Comment varchar(200) NULL,
   Bin_Number varchar(20) NULL,
   Dispatch_No integer NULL
);

CREATE UNIQUE CLUSTERED INDEX Freezer_Transfer_To_Freezer_No ON Freezer_Transfer (To_Freezer_No,Tranfered_Date,Pallet_No);

CREATE INDEX Freezer_Transfer_From_Freezer_No ON Freezer_Transfer (From_Freezer_No);

CREATE INDEX Freezer_Transfer_Bin_Number ON Freezer_Transfer (Bin_Number);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Freezer_Transfer','Freezer Transfer');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Freezer_Transfer','YES','YES');
--DROP TABLE Grade_Scale;

CREATE TABLE Grade_Scale (
   Grade_Name varchar(15) NOT NULL,
   Comment varchar(200) NULL,
   Report_Screen_Name varchar(40) NOT NULL,
   Report_Column_No integer NOT NULL,
   Price_Grade_Report varchar(4) NULL,
   Start_Weight numeric(10,2) NOT NULL,
   End_Weight numeric(10,2) NOT NULL,
   Damaged_Fish varchar(4) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Grade_Scale_Grade_Name ON Grade_Scale (Grade_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Grade_Scale','Grade Scale');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Grade_Scale','YES','YES');
--DROP TABLE Harvest;

CREATE TABLE Harvest (
   Harvest_Date varchar(10) NOT NULL,
   Cage_Id varchar(10) NOT NULL,
   Fish_Id varchar(10) NOT NULL,
   Date_Assigned varchar(10) NOT NULL,
   Vessel_Name varchar(30) NOT NULL,
   USER_ID varchar(30) NOT NULL,
   File_Location varchar(200) NULL,
   Harvest_Time varchar(12) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Harvest_Harvest_Date ON Harvest (Harvest_Date,Cage_Id,Fish_Id,Vessel_Name,USER_ID);

CREATE INDEX Harvest_Date_Assigned ON Harvest (Date_Assigned);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Harvest','Hand Held Harvest');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Harvest','YES','YES');
--DROP TABLE Harvest_Carton;

CREATE TABLE Harvest_Carton (
   Name varchar(30) NOT NULL,
   Cust_Order_No varchar(15) NOT NULL,
   Order_Date varchar(10) NOT NULL,
   Order_Item varchar(20) NOT NULL,
   Harvest_Date varchar(10) NOT NULL,
   Carton_No integer NOT NULL,
   Cage_Id varchar(10) NOT NULL,
   Fish_Id varchar(10) NOT NULL,
   Date_Assigned varchar(10) NOT NULL,
   Next_Seq_Number integer NULL,
   HS_Nett_wt numeric(10,1) NULL,
   Gross_Weight_Addition numeric(10,2) NULL,
   Glaze_Weight_Addition numeric(10,2) NULL,
   Container_No varchar(20) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Harvest_Carton_Name ON Harvest_Carton (Name,Cust_Order_No,Order_Date,Order_Item,Harvest_Date,Carton_No,Cage_Id,Fish_Id);

CREATE INDEX Harvest_Carton_Date_Assigned ON Harvest_Carton (Date_Assigned);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Harvest_Carton','Customer Harvest Processing');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Harvest_Carton','YES','YES');
--DROP TABLE Harvest_Condition_Index;

CREATE TABLE Harvest_Condition_Index (
   Cage_Id varchar(10) NOT NULL,
   Fish_Id varchar(10) NOT NULL,
   Date_Assigned varchar(10) NOT NULL,
   Harvest_Date varchar(10) NOT NULL,
   Sample_No integer NOT NULL,
   Process_Form varchar(20) NOT NULL,
   Weight numeric(10,2) NOT NULL,
   Fish_Length numeric(10,2) NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX Harvest_Condition_Index_Cage_Id ON Harvest_Condition_Index (Cage_Id,Fish_Id,Harvest_Date,Sample_No);

CREATE INDEX Harvest_Condition_Index_Date_Assigned ON Harvest_Condition_Index (Date_Assigned);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Harvest_Condition_Index','Harvest Condition Index');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Harvest_Condition_Index','YES','YES');
--DROP TABLE Harvest_Item;

CREATE TABLE Harvest_Item (
   Harvest_Date varchar(10) NOT NULL,
   Cage_Id varchar(10) NOT NULL,
   Fish_Id varchar(10) NOT NULL,
   Vessel_Name varchar(30) NOT NULL,
   USER_ID varchar(30) NOT NULL,
   Harvest_Tag_Id varchar(128) NOT NULL,
   Seq_No integer NOT NULL,
   Whole_Weight numeric(10,2) NULL,
   Whole_Length numeric(10,2) NULL,
   Process_Weight numeric(10,1) NULL,
   Process_Form varchar(20) NULL,
   Process_Form_No integer NULL,
   Name varchar(30) NULL,
   Cust_Order_No varchar(15) NULL,
   Order_Date varchar(10) NULL,
   Order_Item varchar(20) NULL,
   CI_Harvest_Date varchar(10) NULL,
   Carton_No integer NULL,
   CI_Fish_Id varchar(10) NULL,
   CI_Cage_Id varchar(10) NULL,
   Seq_Number integer NULL,
   Container_No varchar(20) NULL,
   Dispatch_Process_Weight numeric(10,1) NULL,
   Dispatch_Process_Form varchar(20) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Harvest_Item_Harvest_Date ON Harvest_Item (Harvest_Date,Cage_Id,Fish_Id,Vessel_Name,USER_ID,Harvest_Tag_Id,Seq_No);

CREATE INDEX Harvest_Item_CI_Harvest_Date ON Harvest_Item (CI_Harvest_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Harvest_Item','Hand Held Harvest Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Harvest_Item','YES','YES');
--DROP TABLE Hatchery;

CREATE TABLE Hatchery (
   Name varchar(40) NOT NULL,
   Contact varchar(30) NULL,
   Address varchar(50) NULL,
   Suburb varchar(30) NULL,
   Phone varchar(15) NULL,
   Fax varchar(15) NULL,
   Email varchar(50) NULL,
   Sales_Tax varchar(10) NULL,
   ABN_No varchar(20) NULL,
   ACN_No varchar(20) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Hatchery_Name ON Hatchery (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Hatchery','Hatchery');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Hatchery','YES','YES');
--DROP TABLE Hatchery_Despatch;

CREATE TABLE Hatchery_Despatch (
   Fish_Id varchar(10) NOT NULL,
   Despatch_Form_No varchar(10) NOT NULL,
   Fish_Stock_No integer NOT NULL,
   Despatch_Date varchar(10) NOT NULL,
   Fish_Medication varchar(70) NULL,
   Feed_Type varchar(30) NULL,
   Water_Temp numeric(4,2) NOT NULL,
   Carrier_Name varchar(30) NULL,
   Driver_Name varchar(30) NULL,
   Staff_Name varchar(20) NULL,
   Total_Fish integer NULL,
   Total_Weight numeric(10,2) NULL,
   Mean_Weight numeric(10,2) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Hatchery_Despatch_Fish_Id ON Hatchery_Despatch (Fish_Id,Despatch_Form_No);

CREATE INDEX Hatchery_Despatch_Fish_Stock_No ON Hatchery_Despatch (Fish_Stock_No);

CREATE INDEX Hatchery_Despatch_Despatch_Date ON Hatchery_Despatch (Despatch_Date);

CREATE INDEX Hatchery_Despatch_Carrier_Name ON Hatchery_Despatch (Carrier_Name);

CREATE INDEX Hatchery_Despatch_Staff_Name ON Hatchery_Despatch (Staff_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Hatchery_Despatch','Hatchery Despatch');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Hatchery_Despatch','YES','YES');
--DROP TABLE Invoice_Item;

CREATE TABLE Invoice_Item (
   Trip_No integer NOT NULL,
   Departure_Date varchar(10) NOT NULL,
   Company_Name varchar(30) NOT NULL,
   Vessel_Name varchar(30) NOT NULL,
   Fishery_Name varchar(60) NOT NULL,
   Season_Year numeric(4,0) NOT NULL,
   Customer_Name varchar(30) NOT NULL,
   Invoice_Date varchar(10) NOT NULL,
   Invoice_No varchar(20) NOT NULL,
   Item_Type varchar(50) NOT NULL,
   Weight numeric(10,2) NOT NULL,
   Con_Factor numeric(10,2) NULL,
   Process_Type varchar(10) NOT NULL,
   Price_kg numeric(10,2) NOT NULL,
   Total numeric(10,2) NULL,
   Comment varchar(200) NULL,
   Discard varchar(4) NULL,
   Report_Screen_Name varchar(40) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Invoice_Item_Trip_No ON Invoice_Item (Trip_No,Departure_Date,Company_Name,Vessel_Name,Fishery_Name,Season_Year,Customer_Name,Invoice_Date,Invoice_No,Item_Type,Weight,Process_Type,Price_kg);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Invoice_Item','Invoice Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Invoice_Item','YES','YES');
--DROP TABLE Item_Category;

CREATE TABLE Item_Category (
   Item_Category varchar(50) NOT NULL,
   Comment varchar(255) NULL
);

CREATE UNIQUE CLUSTERED INDEX Item_Category_Item_Category ON Item_Category (Item_Category);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Item_Category','Item Category');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Item_Category','YES','YES');
--DROP TABLE Item_Type;

CREATE TABLE Item_Type (
   Name varchar(50) NOT NULL,
   Report_Screen_Name varchar(40) NOT NULL,
   GG_Report varchar(4) NULL,
   Comment varchar(200) NULL,
   Item_Category varchar(50) NOT NULL,
   Tdummy1 char(1) NULL,
   Nett_Percentage numeric(5,2) NULL,
   Added_Back numeric(5,2) NULL,
   GG_Percent numeric(10,2) NULL,
   Glaze_Weight_Addition numeric(10,2) NULL,
   Process_Form varchar(40) NOT NULL,
   Conv_Factor numeric(10,2) NULL,
   GTIN numeric(13,0) NULL,
   Stock_Worth_Each numeric(10,2) NULL,
   Quota_Fish_Specie varchar(30) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Item_Type_Name ON Item_Type (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Item_Type','Item Type');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Item_Type','YES','YES');
--DROP TABLE Lab_Analysis;

CREATE TABLE Lab_Analysis (
   Fish_Id varchar(10) NOT NULL,
   FH_Date varchar(10) NOT NULL,
   Check_Type varchar(15) NOT NULL,
   Date_Sent varchar(10) NOT NULL,
   Results_Date varchar(10) NULL,
   Avg_Fish_Length numeric(10,2) NULL,
   Lab_Results_Other varchar(200) NULL,
   Sample_Weight numeric(5,2) NULL,
   Sat_Fat numeric(5,2) NULL,
   Mono_Fat numeric(5,2) NULL,
   Poly_Fat numeric(5,2) NULL,
   Omega_3 numeric(10,2) NULL,
   Cholesterol integer NULL,
   Carbohydrate numeric(3,2) NULL,
   Energy integer NULL,
   Sodium numeric(5,2) NULL,
   Calcium numeric(5,2) NULL,
   Iron numeric(5,2) NULL,
   Vitamin_A numeric(5,2) NULL,
   Thiamin numeric(5,2) NULL,
   Riboflavin numeric(5,2) NULL,
   Niacin numeric(5,2) NULL,
   Vitamin_B12 numeric(5,2) NULL,
   Vitamin_C numeric(5,2) NULL,
   Vitamin_D numeric(5,2) NULL,
   Vitamin_E numeric(5,2) NULL,
   Comment varchar(200) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Lab_Analysis_Fish_Id ON Lab_Analysis (Fish_Id,FH_Date,Check_Type,Date_Sent);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Lab_Analysis','Lab Analysis');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Lab_Analysis','YES','YES');
--DROP TABLE Location;

CREATE TABLE Location (
   Supplier_Name varchar(30) NOT NULL,
   Loc_Name varchar(50) NOT NULL,
   Address varchar(200) NULL,
   Contact_Name varchar(100) NULL,
   Phone varchar(15) NULL,
   Fax varchar(15) NULL,
   Email varchar(50) NULL
);

CREATE UNIQUE CLUSTERED INDEX Location_Supplier_Name ON Location (Supplier_Name,Loc_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Location','Supplier Location');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Location','YES','YES');
--DROP TABLE Maintanence_Type;

CREATE TABLE Maintanence_Type (
   Name varchar(20) NOT NULL,
   Item_Name varchar(20) NOT NULL,
   Description varchar(80) NULL
);

CREATE UNIQUE CLUSTERED INDEX Maintanence_Type_Name ON Maintanence_Type (Name,Item_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Maintanence_Type','Maintanence Type');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Maintanence_Type','YES','YES');
--DROP TABLE Maintenance_Item;

CREATE TABLE Maintenance_Item (
   Job_No varchar(15) NOT NULL,
   Maint_Schedule_Date varchar(10) NOT NULL,
   Completed_Date varchar(10) NOT NULL,
   Completed_Time varchar(8) NOT NULL,
   Work_Staff_Name varchar(20) NOT NULL,
   Maint_Details varchar(255) NULL,
   Replaced_Name varchar(40) NOT NULL,
   Replaced_Type_Name varchar(20) NULL,
   Items_Used integer NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX Maintenance_Item_Job_No ON Maintenance_Item (Job_No,Maint_Schedule_Date,Completed_Date,Completed_Time);

CREATE INDEX Maintenance_Item_Work_Staff_Name ON Maintenance_Item (Work_Staff_Name);

CREATE INDEX Maintenance_Item_Replaced_Name ON Maintenance_Item (Replaced_Name);

CREATE INDEX Maintenance_Item_Replaced_Type_Name ON Maintenance_Item (Replaced_Type_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Maintenance_Item','Maintenance Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Maintenance_Item','YES','YES');
--DROP TABLE Maintenance_Schedule;

CREATE TABLE Maintenance_Schedule (
   Job_No integer NOT NULL,
   Schedule_Date varchar(10) NOT NULL,
   Staff_Maint_Name varchar(20) NOT NULL,
   Fish_Id varchar(10) NULL,
   Cage_Id varchar(10) NULL,
   Vessel_Name varchar(30) NULL,
   Freezer_No varchar(30) NULL,
   Maint_Type_Name varchar(20) NOT NULL,
   Item_Name varchar(20) NOT NULL,
   Urgent_Att varchar(5) NULL,
   Suggest_Action varchar(150) NULL,
   Comment varchar(200) NULL,
   Period varchar(20) NULL,
   Monday bit NOT NULL,
   Monday_Pm bit NOT NULL,
   Tuesday bit NOT NULL,
   Tuesday_Pm bit NOT NULL,
   Wednesday bit NOT NULL,
   Wednesday_Pm bit NOT NULL,
   Thursday bit NOT NULL,
   Thursday_Pm bit NOT NULL,
   Friday bit NOT NULL,
   Friday_Pm bit NOT NULL,
   Saturday bit NOT NULL,
   Saturday_Pm bit NOT NULL,
   Sunday bit NOT NULL,
   Sunday_Pm bit NOT NULL,
   Specific_Date1 varchar(10) NULL,
   Specific_Date2 varchar(10) NULL,
   Specific_Time varchar(8) NULL,
   Frequency varchar(20) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Maintenance_Schedule_Job_No ON Maintenance_Schedule (Job_No,Schedule_Date);

CREATE INDEX Maintenance_Schedule_Staff_Maint_Name ON Maintenance_Schedule (Staff_Maint_Name);

CREATE INDEX Maintenance_Schedule_Fish_Id ON Maintenance_Schedule (Fish_Id);

CREATE INDEX Maintenance_Schedule_Cage_Id ON Maintenance_Schedule (Cage_Id);

CREATE INDEX Maintenance_Schedule_Vessel_Name ON Maintenance_Schedule (Vessel_Name);

CREATE INDEX Maintenance_Schedule_Freezer_No ON Maintenance_Schedule (Freezer_No);

CREATE INDEX Maintenance_Schedule_Maint_Type_Name ON Maintenance_Schedule (Maint_Type_Name);

CREATE INDEX Maintenance_Schedule_Item_Name ON Maintenance_Schedule (Item_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Maintenance_Schedule','Maintenance Schedule');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Maintenance_Schedule','YES','YES');
--DROP TABLE Maint_Request;

CREATE TABLE Maint_Request (
   Maint_No integer NOT NULL,
   Request_Date varchar(10) NOT NULL,
   Status varchar(15) NOT NULL,
   Request_Name varchar(60) NOT NULL,
   Ack_Date varchar(10) NULL,
   Hazard varchar(150) NOT NULL,
   Cause varchar(150) NOT NULL,
   Ack_Name varchar(60) NULL,
   Ack_Details varchar(255) NULL,
   Request_Details varchar(255) NOT NULL,
   Action_Date varchar(10) NULL,
   Action_Name varchar(60) NULL,
   Action_Taken varchar(255) NULL,
   Request_Priority varchar(10) NOT NULL,
   Ack_Priority varchar(10) NULL,
   Assigned_Name varchar(60) NULL,
   Est_Time varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Maint_Request_Maint_No ON Maint_Request (Maint_No);

CREATE INDEX Maint_Request_Request_Date ON Maint_Request (Request_Date);

CREATE INDEX Maint_Request_Request_Name ON Maint_Request (Request_Name);

CREATE INDEX Maint_Request_Ack_Name ON Maint_Request (Ack_Name);

CREATE INDEX Maint_Request_Action_Name ON Maint_Request (Action_Name);

CREATE INDEX Maint_Request_Assigned_Name ON Maint_Request (Assigned_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Maint_Request','Maintenance Request');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Maint_Request','YES','YES');
--DROP TABLE Mesh_Group;

CREATE TABLE Mesh_Group (
   Mesh_Group_Size varchar(10) NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX Mesh_Group_Mesh_Group_Size ON Mesh_Group (Mesh_Group_Size);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Mesh_Group','Mesh Group');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Mesh_Group','YES','YES');
--DROP TABLE Monitoring_Parameters;

CREATE TABLE Monitoring_Parameters (
   Company_Name varchar(30) NOT NULL,
   Site_Name varchar(20) NOT NULL,
   Monitor_Date varchar(10) NOT NULL,
   Monitor_Time varchar(8) NOT NULL,
   Parameters_Name varchar(30) NOT NULL,
   Parameter_Value_Max varchar(20) NOT NULL,
   Parameter_Value_Min varchar(20) NOT NULL,
   Comment varchar(255) NULL
);

CREATE UNIQUE CLUSTERED INDEX Monitoring_Parameters_Company_Name ON Monitoring_Parameters (Company_Name,Site_Name,Monitor_Date,Monitor_Time,Parameters_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Monitoring_Parameters','Monitoring Parameters');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Monitoring_Parameters','YES','YES');
--DROP TABLE Monitoring_Schedule;

CREATE TABLE Monitoring_Schedule (
   Company_Name varchar(30) NOT NULL,
   Site_Name varchar(20) NOT NULL,
   Monitor_Date varchar(10) NOT NULL,
   Temp0a numeric(10,2) NULL,
   Temp0p numeric(10,2) NULL,
   Temp1a numeric(10,2) NULL,
   Temp1p numeric(10,2) NULL,
   Temp3a numeric(10,2) NULL,
   Temp3p numeric(10,2) NULL,
   Temp5a numeric(10,2) NULL,
   Temp5p numeric(10,2) NULL,
   Temp10a numeric(10,2) NULL,
   Temp10p numeric(10,2) NULL,
   Temp15a numeric(10,2) NULL,
   Temp15p numeric(10,2) NULL,
   Salinity0a numeric(10,2) NULL,
   Salinity0p numeric(10,2) NULL,
   Salinity1a numeric(10,2) NULL,
   Salinity1p numeric(10,2) NULL,
   Salinity3a numeric(10,2) NULL,
   Salinity3p numeric(10,2) NULL,
   Salinity5a numeric(10,2) NULL,
   Salinity5p numeric(10,2) NULL,
   Halocline numeric(10,2) NULL,
   DOsn numeric(10,2) NULL,
   DO0p numeric(10,2) NULL,
   DOnt numeric(10,2) NULL,
   DO3p numeric(10,2) NULL,
   DOts numeric(10,2) NULL,
   DO5p numeric(10,2) NULL,
   DOst numeric(10,2) NULL,
   Secci_Depth_am varchar(8) NULL,
   Secci_Depth_am_m numeric(10,2) NULL,
   Secci_Depth_pm varchar(8) NULL,
   Secci_Depth_pm_m numeric(10,2) NULL,
   Comment varchar(200) NULL,
   Tdummy1 char(1) NULL,
   Tdummy2 char(1) NULL,
   Bivalve varchar(15) NULL,
   Tdummy3 char(1) NULL,
   Tdummy4 char(1) NULL,
   Copepod varchar(15) NULL,
   l_Aurelia varchar(15) NULL,
   A_Aurelia varchar(15) NULL,
   Crustacean varchar(15) NULL,
   Obelia varchar(15) NULL,
   Combs varchar(15) NULL,
   Tdummy5 char(1) NULL,
   Turritopsis varchar(15) NULL,
   Salps varchar(15) NULL,
   Lions_Mane varchar(15) NULL,
   Zoo_Comment varchar(255) NULL,
   Tdummy6 char(1) NULL,
   Tdummy7 char(1) NULL,
   Cfurca varchar(15) NULL,
   Cfusus varchar(15) NULL,
   Gcaterernatum varchar(15) NULL,
   Gpulchellum varchar(15) NULL,
   Ctripos varchar(15) NULL,
   CSpp varchar(15) NULL,
   Tdummy8 char(1) NULL,
   Tdummy9 char(1) NULL,
   Ppellucidum varchar(15) NULL,
   PSpp varchar(15) NULL,
   Pgracile varchar(15) NULL,
   PPSpp varchar(15) NULL,
   Tdummy10 char(1) NULL,
   Tdummy11 char(1) NULL,
   Dacuminata varchar(15) NULL,
   Dfortii varchar(15) NULL,
   Noctscin varchar(15) NULL,
   Pfiesteria varchar(15) NULL,
   DSpp varchar(15) NULL,
   Alexandrium varchar(15) NULL,
   Chatonella varchar(15) NULL,
   Dino_Comment varchar(255) NULL,
   Tdummy12 char(1) NULL,
   Tdummy13 char(1) NULL,
   Tdummy14 char(1) NULL,
   DCSocialis varchar(15) NULL,
   DCdebilis varchar(15) NULL,
   DPseuSpp varchar(15) NULL,
   DCCriophilus varchar(15) NULL,
   DCSpp varchar(15) NULL,
   Tdummy15 char(1) NULL,
   Tdummy16 char(1) NULL,
   DRSpp varchar(15) NULL,
   DTSpp varchar(15) NULL,
   Diatom_Comment varchar(255) NULL,
   Tdummy17 char(1) NULL,
   Monitor_Time varchar(10) NULL,
   Heterosigma varchar(15) NULL,
   Takayama_tasmanica varchar(15) NULL,
   Takayama_helix varchar(15) NULL,
   Karenia varchar(15) NULL,
   Karlodinium varchar(15) NULL
);

CREATE UNIQUE CLUSTERED INDEX Monitoring_Schedule_Company_Name ON Monitoring_Schedule (Company_Name,Site_Name,Monitor_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Monitoring_Schedule','Site Environment Monitoring');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Monitoring_Schedule','YES','YES');
--DROP TABLE Mooring_Id;

CREATE TABLE Mooring_Id (
   Company_Name varchar(30) NOT NULL,
   Site_Name varchar(20) NOT NULL,
   Mooring_Id varchar(15) NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX Mooring_Id_Site_Name ON Mooring_Id (Site_Name,Mooring_Id);

CREATE INDEX Mooring_Id_Company_Name ON Mooring_Id (Company_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Mooring_Id','Mooring Id');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Mooring_Id','YES','YES');
--DROP TABLE Mooring_Position;

CREATE TABLE Mooring_Position (
   Site_Name varchar(20) NOT NULL,
   Mooring_Id varchar(15) NOT NULL,
   Occupy_Date varchar(10) NOT NULL,
   GPS_Position varchar(20) NOT NULL,
   Latitude varchar(20) NULL,
   Longtitude varchar(20) NULL,
   Grid_Ref_No varchar(20) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Mooring_Position_Site_Name ON Mooring_Position (Site_Name,Mooring_Id,Occupy_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Mooring_Position','Cage Position');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Mooring_Position','YES','YES');
--DROP TABLE Mort_Cages;

CREATE TABLE Mort_Cages (
   Dive_Date varchar(10) NOT NULL,
   Dive_Time varchar(8) NOT NULL,
   Vessel_Name varchar(30) NOT NULL,
   Fish_Id varchar(10) NOT NULL,
   Cage_Id varchar(10) NOT NULL,
   Date_Assigned varchar(10) NOT NULL,
   Company_Name varchar(30) NOT NULL,
   Site_Name varchar(20) NOT NULL,
   Diver_Name varchar(20) NOT NULL,
   Supervisor_Name varchar(20) NOT NULL,
   Stand_By_Name varchar(20) NULL,
   FOS integer NOT NULL,
   FOB integer NOT NULL,
   FIM integer NOT NULL,
   Comments varchar(200) NULL,
   Bank_1 integer NULL,
   Bank_2 integer NULL,
   Emg_Air integer NULL,
   Bail_Out integer NULL,
   Stand_By_Bail_Out integer NULL,
   Water_Temp numeric(10,2) NULL,
   Clarity_Depth numeric(10,2) NULL,
   Bait_on_Bottom varchar(4) NULL,
   Electric_Fence varchar(4) NULL,
   Net_off_bottom numeric(10,2) NULL,
   Net_Max_Depth numeric(10,2) NULL,
   Left_Surface_Time varchar(8) NULL,
   Left_Bottom_Time varchar(8) NULL,
   Time_on_Bottom integer NULL,
   Total_Time_in_Water integer NULL,
   Mort_Total integer NULL,
   Avg_Weight numeric(10,2) NULL,
   Avg_Length numeric(10,2) NULL,
   Tag_Id varchar(20) NULL,
   Catch_Fish_Id varchar(10) NULL,
   Tow_No varchar(15) NULL,
   Catch_Length numeric(10,2) NULL,
   Catch_Weight numeric(10,2) NULL,
   Archive varchar(4) NULL,
   SL varchar(4) NULL,
   TD varchar(4) NULL,
   Mesh varchar(4) NULL,
   ED varchar(4) NULL,
   Seal varchar(4) NULL,
   Gaff varchar(4) NULL,
   Unknown varchar(4) NULL,
   Swim varchar(4) NULL,
   Copepods varchar(4) NULL,
   Scaring varchar(4) NULL,
   Holes varchar(40) NULL,
   Headline_Strops varchar(10) NULL,
   Electric_Fence_2 varchar(20) NULL,
   Seal_Net varchar(30) NULL,
   Net_Growth numeric(10,2) NULL,
   Net_Growth_Below numeric(10,2) NULL,
   Counter_Weights varchar(20) NULL,
   Predators_in_Cage varchar(4) NULL,
   Anchors varchar(60) NULL
);

CREATE UNIQUE CLUSTERED INDEX Mort_Cages_Dive_Date ON Mort_Cages (Dive_Date,Dive_Time,Vessel_Name,Fish_Id);

CREATE INDEX Mort_Cages_Cage_Id ON Mort_Cages (Cage_Id);

CREATE INDEX Mort_Cages_Date_Assigned ON Mort_Cages (Date_Assigned);

CREATE INDEX Mort_Cages_Company_Name ON Mort_Cages (Company_Name);

CREATE INDEX Mort_Cages_Site_Name ON Mort_Cages (Site_Name);

CREATE INDEX Mort_Cages_Diver_Name ON Mort_Cages (Diver_Name);

CREATE INDEX Mort_Cages_Supervisor_Name ON Mort_Cages (Supervisor_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Mort_Cages','Mort Cage Record');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Mort_Cages','YES','YES');
--DROP TABLE Mort_Dive;

CREATE TABLE Mort_Dive (
   Dive_Date varchar(10) NOT NULL,
   Company_Name varchar(30) NOT NULL,
   Site_Name varchar(20) NOT NULL,
   Vessel_Name varchar(30) NOT NULL,
   Staff_Name varchar(20) NULL,
   Comment varchar(200) NULL,
   Wind_Speed varchar(10) NULL,
   Wind_Direction varchar(10) NULL,
   Sea_Height varchar(10) NULL,
   Tide varchar(10) NULL,
   Water_Visibility varchar(10) NULL,
   Temperature numeric(10,1) NULL,
   Weather_Report varchar(120) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Mort_Dive_Dive_Date ON Mort_Dive (Dive_Date,Company_Name,Site_Name,Vessel_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Mort_Dive','Mort Dive Trip');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Mort_Dive','YES','YES');
--DROP TABLE Net;

CREATE TABLE Net (
   Net_No varchar(20) NOT NULL,
   Cage_Size varchar(10) NOT NULL,
   Net_Status varchar(30) NOT NULL,
   Mesh_Group_Size varchar(10) NOT NULL,
   Net_Depth numeric(3,1) NOT NULL,
   m3 integer NULL,
   Date_Manufactured varchar(10) NULL,
   Name varchar(30) NULL,
   Comment varchar(200) NULL,
   Cost_Price numeric(10,2) NULL,
   No_Wall integer NULL,
   Springer varchar(4) NULL,
   Fence_Line varchar(50) NULL,
   Head_Line varchar(50) NULL,
   Load_Line varchar(50) NULL,
   Foot_Line varchar(50) NULL,
   Lead_Line varchar(50) NULL,
   Base_Panel varchar(50) NULL,
   Donut_Size varchar(50) NULL,
   Donut_No integer NULL
);

CREATE UNIQUE CLUSTERED INDEX Net_Net_No ON Net (Net_No,Cage_Size);

CREATE INDEX Net_Mesh_Group_Size ON Net (Mesh_Group_Size);

CREATE INDEX Net_Name ON Net (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Net','Net');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Net','YES','YES');
--DROP TABLE Net_Change;

CREATE TABLE Net_Change (
   Job_No integer NOT NULL,
   Job_Date varchar(10) NOT NULL,
   Fish_Id varchar(10) NULL,
   Cage_Id varchar(10) NULL,
   Date_Assigned varchar(10) NULL,
   Old_Net_No varchar(20) NOT NULL,
   Old_Date_Installed varchar(10) NOT NULL,
   Old_Cage_Size varchar(10) NULL,
   Cage_Net_Cage_Id varchar(10) NULL,
   Current_Loc varchar(80) NULL,
   Staff_Maint_Name varchar(20) NOT NULL,
   Side_Above varchar(5) NULL,
   Side_Below varchar(5) NULL,
   Base_Panels varchar(5) NULL,
   New_Net_No varchar(20) NULL,
   New_Date_Installed varchar(10) NULL,
   New_Cage_Net_Cage_Id varchar(10) NULL,
   New_Net_Cage_Size varchar(10) NULL,
   Primary_Net varchar(4) NULL,
   Antifoul varchar(5) NULL,
   New_Side_Above varchar(5) NULL,
   New_Side_Below varchar(5) NULL,
   New_Base_Panels varchar(5) NULL,
   Comment varchar(200) NULL,
   Fish_count integer NULL,
   Change_Type varchar(10) NOT NULL,
   Net_Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Net_Change_Job_No ON Net_Change (Job_No,Job_Date);

CREATE INDEX Net_Change_Fish_Id ON Net_Change (Fish_Id);

CREATE INDEX Net_Change_Cage_Id ON Net_Change (Cage_Id);

CREATE INDEX Net_Change_Date_Assigned ON Net_Change (Date_Assigned);

CREATE INDEX Net_Change_Old_Net_No ON Net_Change (Old_Net_No);

CREATE INDEX Net_Change_Old_Date_Installed ON Net_Change (Old_Date_Installed);

CREATE INDEX Net_Change_Cage_Net_Cage_Id ON Net_Change (Cage_Net_Cage_Id);

CREATE INDEX Net_Change_Staff_Maint_Name ON Net_Change (Staff_Maint_Name);

CREATE INDEX Net_Change_New_Net_No ON Net_Change (New_Net_No);

CREATE INDEX Net_Change_New_Date_Installed ON Net_Change (New_Date_Installed);

CREATE INDEX Net_Change_New_Cage_Net_Cage_Id ON Net_Change (New_Cage_Net_Cage_Id);

CREATE INDEX Net_Change_New_Net_Cage_Size ON Net_Change (New_Net_Cage_Size);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Net_Change','Net Change');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Net_Change','YES','YES');
--DROP TABLE Net_Holes;

CREATE TABLE Net_Holes (
   Net_No varchar(20) NOT NULL,
   Net_Cage_Size varchar(10) NOT NULL,
   Repair_Date varchar(10) NOT NULL,
   Repaired_By varchar(20) NOT NULL,
   Hole_Location varchar(100) NOT NULL,
   Repair_done varchar(10) NULL,
   Hole_Was varchar(25) NULL,
   Mend varchar(10) NULL,
   Repair_Was varchar(20) NOT NULL,
   Cause_Hole varchar(20) NULL,
   Hole_Size varchar(30) NULL,
   Comment varchar(100) NULL
);

CREATE UNIQUE CLUSTERED INDEX Net_Holes_Net_No ON Net_Holes (Net_No,Net_Cage_Size,Repair_Date,Repaired_By,Hole_Location);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Net_Holes','Net Holes');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Net_Holes','YES','YES');
--DROP TABLE Net_Profile;

CREATE TABLE Net_Profile (
   Net_No varchar(20) NOT NULL,
   Check_Date varchar(10) NOT NULL,
   Cage_Size varchar(10) NOT NULL,
   Net_Status varchar(30) NOT NULL,
   Mesh_Group_Size varchar(10) NOT NULL,
   Net_Depth integer NOT NULL,
   m3 integer NULL,
   Tdummy char(1) NULL,
   Mesh_Size varchar(10) NOT NULL,
   Date_Checked varchar(10) NULL,
   Ply varchar(10) NULL,
   Swim_Door_Size_Depth numeric(10,2) NULL,
   Swim_Door_Size_Width numeric(10,2) NULL,
   Circumference numeric(10,2) NULL,
   Jump_Fence numeric(6,2) NULL,
   Side numeric(6,2) NULL,
   General_Condition varchar(30) NULL,
   Deflect_Flat_Base numeric(7,2) NULL,
   Comment varchar(200) NULL,
   Date_Strength_Tested varchar(10) NULL,
   Breaking_Strain_Side numeric(7,2) NULL,
   Breaking_Strain_Base numeric(7,2) NULL,
   Breaking_Strain_Jump_Fence numeric(7,2) NULL,
   Netting varchar(10) NULL,
   Head_Line varchar(10) NULL,
   Load_Line varchar(10) NULL,
   Foot_Line varchar(10) NULL,
   Springer varchar(10) NULL,
   Lead_Line varchar(10) NULL,
   Donut varchar(10) NULL,
   Overall varchar(10) NULL,
   Recommendation varchar(200) NULL,
   Checked_By varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Net_Profile_Net_No ON Net_Profile (Net_No,Check_Date);

CREATE INDEX Net_Profile_Date_Checked ON Net_Profile (Date_Checked);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Net_Profile','Net Profile');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Net_Profile','YES','YES');
--DROP TABLE Net_Score;

CREATE TABLE Net_Score (
   Net_No varchar(20) NOT NULL,
   Cage_Id varchar(10) NOT NULL,
   Date_Installed varchar(10) NOT NULL,
   Score_Date varchar(10) NOT NULL,
   Feeder_Staff_Name varchar(20) NULL,
   Side_Above varchar(5) NULL,
   Side_Below varchar(5) NULL,
   Base_Panels varchar(5) NULL,
   Holes varchar(20) NULL,
   Comment varchar(100) NULL,
   Net_Use_Type varchar(15) NULL
);

CREATE UNIQUE CLUSTERED INDEX Net_Score_Net_No ON Net_Score (Net_No,Cage_Id,Score_Date);

CREATE INDEX Net_Score_Date_Installed ON Net_Score (Date_Installed);

CREATE INDEX Net_Score_Feeder_Staff_Name ON Net_Score (Feeder_Staff_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Net_Score','Net Score');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Net_Score','YES','YES');
--DROP TABLE Orders;

CREATE TABLE Orders (
   Order_No varchar(20) NOT NULL,
   Order_Date varchar(10) NOT NULL,
   Supplier_Name varchar(30) NOT NULL,
   Status varchar(20) NOT NULL,
   Exp_Del_Date varchar(10) NULL,
   Delivery_Detail varchar(300) NULL,
   Carrier varchar(30) NULL,
   Vessel_Name varchar(30) NULL,
   Archive varchar(4) NULL,
   Trip_Number integer NULL,
   Dummy1 char(1) NULL,
   Dummy2 char(1) NULL,
   Dummy3 char(1) NULL,
   Dummy4 char(1) NULL,
   Dummy5 char(1) NULL,
   AP_Invoice_No_1 varchar(15) NULL,
   AP_Date_1 varchar(10) NULL,
   AP_Amt_1 numeric(10,2) NULL,
   AP_Amt_Per_Kg_1 numeric(10,2) NULL,
   AP_Qty_1 numeric(10,2) NULL,
   AP_Invoice_No_2 varchar(15) NULL,
   AP_Date_2 varchar(10) NULL,
   AP_Amt_2 numeric(10,2) NULL,
   AP_Amt_Per_Kg_2 numeric(10,2) NULL,
   AP_Qty_2 numeric(10,2) NULL,
   AP_Invoice_No_3 varchar(15) NULL,
   AP_Date_3 varchar(10) NULL,
   AP_Amt_3 numeric(10,2) NULL,
   AP_Amt_Per_Kg_3 numeric(10,2) NULL,
   AP_Qty_3 numeric(10,2) NULL,
   AP_Invoice_No_4 varchar(15) NULL,
   AP_Date_4 varchar(10) NULL,
   AP_Amt_4 numeric(10,2) NULL,
   AP_Amt_Per_Kg_4 numeric(10,2) NULL,
   AP_Qty_4 numeric(10,2) NULL,
   AP_Invoice_No_5 varchar(15) NULL,
   AP_Date_5 varchar(10) NULL,
   AP_Amt_5 numeric(10,2) NULL,
   AP_Amt_Per_Kg_5 numeric(10,2) NULL,
   AP_Qty_5 numeric(10,2) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Orders_Order_No ON Orders (Order_No,Order_Date);

CREATE INDEX Orders_Supplier_Name ON Orders (Supplier_Name);

CREATE INDEX Orders_Exp_Del_Date ON Orders (Exp_Del_Date);

CREATE INDEX Orders_Vessel_Name ON Orders (Vessel_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Orders','Purchase Feed Orders');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Orders','YES','YES');
--DROP TABLE Order_Item;

CREATE TABLE Order_Item (
   Order_No varchar(20) NOT NULL,
   Supplier_Name varchar(30) NOT NULL,
   Stock_Name varchar(40) NOT NULL,
   Stock_Item_Type varchar(20) NOT NULL,
   Order_Date varchar(10) NOT NULL,
   Qty_Ordered numeric(10,2) NOT NULL,
   Cost_Price_P_K numeric(10,3) NOT NULL,
   Currency varchar(10) NOT NULL,
   Exchange_Rate numeric(10,4) NULL,
   Exchange_Date varchar(10) NULL,
   Status varchar(20) NOT NULL,
   Exp_Del_Date varchar(10) NULL,
   Cost_Price numeric(10,2) NULL,
   Use_By_Date varchar(10) NULL,
   Delivery_Method varchar(30) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Order_Item_Order_No ON Order_Item (Order_No,Supplier_Name,Stock_Name);

CREATE INDEX Order_Item_Stock_Item_Type ON Order_Item (Stock_Item_Type);

CREATE INDEX Order_Item_Order_Date ON Order_Item (Order_Date);

CREATE INDEX Order_Item_Exchange_Date ON Order_Item (Exchange_Date);

CREATE INDEX Order_Item_Exp_Del_Date ON Order_Item (Exp_Del_Date);

CREATE INDEX Order_Item_Use_By_Date ON Order_Item (Use_By_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Order_Item','Purchase Feed Order Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Order_Item','YES','YES');
--DROP TABLE Order_Location;

CREATE TABLE Order_Location (
   Order_No varchar(20) NOT NULL,
   Order_Date varchar(10) NOT NULL,
   Supplier_Name varchar(30) NOT NULL,
   Stock_Name varchar(40) NOT NULL,
   Loc_Name varchar(50) NOT NULL,
   Sup_Loc_Name varchar(30) NOT NULL,
   Qty_on_Hand numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Order_Location_Order_No ON Order_Location (Order_No,Supplier_Name,Stock_Name);

CREATE INDEX Order_Location_Order_Date ON Order_Location (Order_Date);

CREATE INDEX Order_Location_Loc_Name ON Order_Location (Loc_Name);

CREATE INDEX Order_Location_Sup_Loc_Name ON Order_Location (Sup_Loc_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Order_Location','Feed Order Location');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Order_Location','YES','YES');
--DROP TABLE Package_Size;

CREATE TABLE Package_Size (
   Pack_Size varchar(10) NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX Package_Size_Pack_Size ON Package_Size (Pack_Size);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Package_Size','Package Size');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Package_Size','YES','YES');
--DROP TABLE Package_Type;

CREATE TABLE Package_Type (
   Pack_Type varchar(10) NOT NULL,
   Package_Weight numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Package_Type_Pack_Type ON Package_Type (Pack_Type);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Package_Type','Package Type');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Package_Type','YES','YES');
--DROP TABLE Pallet_No;

CREATE TABLE Pallet_No (
   Pallet_No varchar(15) NOT NULL,
   Order_No varchar(20) NULL,
   Delivered_Date varchar(10) NULL,
   Delivered_Time varchar(8) NULL,
   Carrier_Name varchar(30) NULL,
   Container_No varchar(30) NULL,
   Stock_Name varchar(40) NULL,
   Pallet_Weight numeric(10,2) NOT NULL,
   Dispose_Date varchar(10) NULL,
   Dispose_Amount numeric(10,2) NULL,
   Customer_Name varchar(30) NULL,
   Date_Sold varchar(10) NULL,
   Invoice_No varchar(40) NULL,
   Sold_Qty numeric(10,2) NULL,
   Sold_Amt_per_kg numeric(10,2) NULL,
   Archive varchar(4) NULL,
   Used varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Pallet_No_Pallet_No ON Pallet_No (Pallet_No);

CREATE INDEX Pallet_No_Customer_Name ON Pallet_No (Customer_Name);

CREATE INDEX Pallet_No_Date_Sold ON Pallet_No (Date_Sold);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Pallet_No','Feed Pallet No');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Pallet_No','YES','YES');
--DROP TABLE Parameter;

CREATE TABLE Parameter (
   Name varchar(30) NOT NULL,
   Description varchar(50) NULL,
   Start_Range varchar(20) NULL,
   End_Range varchar(20) NULL,
   Optimum_Start_Range varchar(20) NULL,
   Optimum_End_Range varchar(20) NULL,
   Upper_Critical_Limit varchar(20) NULL,
   Lower_Critical_Limit varchar(20) NULL,
   Report_Column_No integer NULL,
   Unit_of_Measure varchar(15) NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX Parameter_Name ON Parameter (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Parameter','Parameter');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Parameter','YES','YES');
--DROP TABLE Pen;

CREATE TABLE Pen (
   Fish_Id varchar(10) NOT NULL,
   Src_Fish_Id varchar(10) NULL,
   Create_Date varchar(10) NOT NULL,
   Stock_Name varchar(40) NOT NULL,
   Stock_Item_Type varchar(20) NOT NULL,
   Comment varchar(200) NULL,
   Status varchar(10) NOT NULL,
   Status_Date_Changed varchar(10) NULL,
   Start_Weight numeric(10,2) NOT NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Pen_Fish_Id ON Pen (Fish_Id);

CREATE INDEX Pen_Src_Fish_Id ON Pen (Src_Fish_Id);

CREATE INDEX Pen_Create_Date ON Pen (Create_Date);

CREATE INDEX Pen_Stock_Name ON Pen (Stock_Name);

CREATE INDEX Pen_Stock_Item_Type ON Pen (Stock_Item_Type);

CREATE INDEX Pen_Status_Date_Changed ON Pen (Status_Date_Changed);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Pen','Growout / Tow Fish Id');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Pen','YES','YES');
--DROP TABLE Pen_FCR;

CREATE TABLE Pen_FCR (
   Fish_Id varchar(10) NOT NULL,
   FCR_Name varchar(15) NOT NULL,
   Start_Date varchar(10) NOT NULL,
   End_Date varchar(10) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Pen_FCR_Fish_Id ON Pen_FCR (Fish_Id,FCR_Name,Start_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Pen_FCR','Fish ID FCR Table');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Pen_FCR','YES','YES');
--DROP TABLE Pen_Movement;

CREATE TABLE Pen_Movement (
   Job_No integer NOT NULL,
   Cage_Id varchar(10) NOT NULL,
   Date_Moved varchar(10) NOT NULL,
   Fish_Id varchar(10) NOT NULL,
   Date_Assigned varchar(10) NOT NULL,
   Assigned_to varchar(20) NOT NULL,
   FishID_Fish_Id varchar(10) NOT NULL,
   Mooring_from_Mooring_Id varchar(15) NOT NULL,
   Mooring_from_Site_Name varchar(20) NOT NULL,
   Mooring_From_Occupy_Date varchar(10) NOT NULL,
   Mooring_to_Mooring_Id varchar(15) NOT NULL,
   Mooring_to_Site_Name varchar(20) NOT NULL,
   Mooring_To_Occupy_Date varchar(10) NOT NULL,
   Comment varchar(200) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Pen_Movement_Job_No ON Pen_Movement (Job_No,Cage_Id,Date_Moved,Fish_Id);

CREATE INDEX Pen_Movement_Date_Assigned ON Pen_Movement (Date_Assigned);

CREATE INDEX Pen_Movement_Assigned_to ON Pen_Movement (Assigned_to);

CREATE INDEX Pen_Movement_FishID_Fish_Id ON Pen_Movement (FishID_Fish_Id);

CREATE INDEX Pen_Movement_Mooring_from_Mooring_Id ON Pen_Movement (Mooring_from_Mooring_Id);

CREATE INDEX Pen_Movement_Mooring_from_Site_Name ON Pen_Movement (Mooring_from_Site_Name);

CREATE INDEX Pen_Movement_Mooring_From_Occupy_Date ON Pen_Movement (Mooring_From_Occupy_Date);

CREATE INDEX Pen_Movement_Mooring_to_Mooring_Id ON Pen_Movement (Mooring_to_Mooring_Id);

CREATE INDEX Pen_Movement_Mooring_to_Site_Name ON Pen_Movement (Mooring_to_Site_Name);

CREATE INDEX Pen_Movement_Mooring_To_Occupy_Date ON Pen_Movement (Mooring_To_Occupy_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Pen_Movement','Cage to Mooring Transfer');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Pen_Movement','YES','YES');
--DROP TABLE Phyt_Monitoring;

CREATE TABLE Phyt_Monitoring (
   Location varchar(30) NOT NULL,
   Sample_Date varchar(10) NOT NULL,
   Sample_Time varchar(8) NOT NULL,
   Sample_Depth numeric(10,2) NOT NULL,
   Water_Temp numeric(10,2) NULL,
   Secchi_Depth numeric(10,2) NULL,
   Cell_Count numeric(10,2) NULL,
   Diatom_Count numeric(10,2) NULL,
   Dino_Count numeric(10,2) NULL,
   Icth_Count numeric(10,2) NULL,
   Dom_Diatom varchar(40) NULL,
   Dom_Dino varchar(40) NULL,
   Ichthy_1 varchar(40) NULL,
   Ichthy_2 varchar(40) NULL,
   Ichthy_3 varchar(40) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Phyt_Monitoring_Location ON Phyt_Monitoring (Location,Sample_Date,Sample_Time,Sample_Depth);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Phyt_Monitoring','Phytoplankton Monitoring');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Phyt_Monitoring','YES','YES');
--DROP TABLE Position_Type;

CREATE TABLE Position_Type (
   Position_Name varchar(30) NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX Position_Type_Position_Name ON Position_Type (Position_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Position_Type','Position Type');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Position_Type','YES','YES');
--DROP TABLE Price_Grade;

CREATE TABLE Price_Grade (
   Customer_Name varchar(30) NOT NULL,
   Price_Date varchar(10) NOT NULL,
   Price_Item varchar(20) NOT NULL,
   Description varchar(50) NOT NULL,
   Grade_Name varchar(15) NOT NULL,
   Price numeric(10,2) NOT NULL,
   Currency varchar(10) NOT NULL,
   Comment varchar(200) NULL,
   Contract_Amt integer NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Price_Grade_Customer_Name ON Price_Grade (Customer_Name,Price_Date,Price_Item,Description,Grade_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Price_Grade','Price Grade');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Price_Grade','YES','YES');
--DROP TABLE Pricing;

CREATE TABLE Pricing (
   Customer_Name varchar(30) NOT NULL,
   Price_Date varchar(10) NOT NULL,
   Price_Item varchar(20) NOT NULL,
   Description varchar(50) NOT NULL,
   Comment varchar(200) NULL,
   Payment_Terms varchar(30) NULL,
   Price numeric(10,2) NULL,
   Currency varchar(10) NULL,
   Contract_Amt integer NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Pricing_Customer_Name ON Pricing (Customer_Name,Price_Date,Price_Item,Description);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Pricing','Customer Pricing / Contract');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Pricing','YES','YES');
--DROP TABLE Product_Size;

CREATE TABLE Product_Size (
   Prod_Size varchar(10) NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX Product_Size_Prod_Size ON Product_Size (Prod_Size);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Product_Size','Product Size');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Product_Size','YES','YES');
--DROP TABLE Qty_Code;

CREATE TABLE Qty_Code (
   Qty_Code varchar(10) NOT NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Qty_Code_Qty_Code ON Qty_Code (Qty_Code);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Qty_Code','Qty Code');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Qty_Code','YES','YES');
--DROP TABLE Quota_Species;

CREATE TABLE Quota_Species (
   Quota_Fish_Specie varchar(30) NOT NULL,
   Field_Name varchar(20) NOT NULL,
   Commercial_Name varchar(30) NULL,
   Scientific_Name varchar(60) NULL,
   Gov_Name varchar(60) NULL,
   Gov_Code varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Quota_Species_Quota_Fish_Specie ON Quota_Species (Quota_Fish_Specie);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Quota_Species','Quota Species');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Quota_Species','YES','YES');
--DROP TABLE Quota_Transfer;

CREATE TABLE Quota_Transfer (
   From_Company_Name varchar(30) NOT NULL,
   From_Fishery_Name varchar(60) NOT NULL,
   From_Season_Year numeric(4,0) NOT NULL,
   To_Company_Name varchar(30) NOT NULL,
   To_Fishery_Name varchar(60) NOT NULL,
   To_Season_Year numeric(4,0) NOT NULL,
   Transfer_Date varchar(10) NOT NULL,
   Transfer_Time varchar(8) NOT NULL,
   Transfer_Type varchar(20) NOT NULL,
   Tdummy1 char(1) NULL,
   JD numeric(10,2) NULL,
   RRP numeric(10,2) NULL,
   MD numeric(10,2) NULL,
   Redfish numeric(10,2) NULL,
   FH numeric(10,2) NULL,
   OP numeric(10,2) NULL,
   GES numeric(10,2) NULL,
   EF numeric(10,2) NULL,
   GWS numeric(10,2) NULL,
   GS numeric(10,2) NULL,
   BG numeric(10,2) NULL,
   SS numeric(10,2) NULL,
   Ling numeric(10,2) NULL,
   SSF numeric(10,2) NULL,
   JM numeric(10,2) NULL,
   BT numeric(10,2) NULL,
   ORC numeric(10,2) NULL,
   ST numeric(10,2) NULL,
   ORE numeric(10,2) NULL,
   SW numeric(10,2) NULL,
   ORS numeric(10,2) NULL,
   BW numeric(10,2) NULL,
   ORW numeric(10,2) NULL,
   WH numeric(10,2) NULL,
   SBT numeric(10,2) NULL,
   LP numeric(10,2) NULL,
   Comment varchar(200) NULL,
   Tdummy2 char(1) NULL,
   JD_P numeric(10,2) NULL,
   RRP_P numeric(10,2) NULL,
   MD_P numeric(10,2) NULL,
   Redfish_P numeric(10,2) NULL,
   FH_P numeric(10,2) NULL,
   OP_P numeric(10,2) NULL,
   GES_P numeric(10,2) NULL,
   EF_P numeric(10,2) NULL,
   GWS_P numeric(10,2) NULL,
   GS_P numeric(10,2) NULL,
   BG_P numeric(10,2) NULL,
   SS_P numeric(10,2) NULL,
   Ling_P numeric(10,2) NULL,
   SSF_P numeric(10,2) NULL,
   JM_P numeric(10,2) NULL,
   BT_P numeric(10,2) NULL,
   ORC_P numeric(10,2) NULL,
   ST_P numeric(10,2) NULL,
   ORE_P numeric(10,2) NULL,
   SW_P numeric(10,2) NULL,
   ORS_P numeric(10,2) NULL,
   BW_P numeric(10,2) NULL,
   ORW_P numeric(10,2) NULL,
   WH_P numeric(10,2) NULL,
   SBT_P numeric(10,2) NULL,
   LP_P numeric(10,2) NULL,
   Applies_to_Season numeric(4,0) NULL,
   Applies_to_Vessel_Name varchar(30) NULL,
   Archive varchar(4) NULL,
   Tdummy3 char(1) NULL,
   JD_U numeric(10,2) NULL,
   RRP_U numeric(10,2) NULL,
   MD_U numeric(10,2) NULL,
   Redfish_U numeric(10,2) NULL,
   FH_U numeric(10,2) NULL,
   OP_U numeric(10,2) NULL,
   GES_U numeric(10,2) NULL,
   EF_U numeric(10,2) NULL,
   GWS_U numeric(10,2) NULL,
   GS_U numeric(10,2) NULL,
   BG_U numeric(10,2) NULL,
   SS_U numeric(10,2) NULL,
   Ling_U numeric(10,2) NULL,
   SSF_U numeric(10,2) NULL,
   JM_U numeric(10,2) NULL,
   BT_U numeric(10,2) NULL,
   ORC_U numeric(10,2) NULL,
   ST_U numeric(10,2) NULL,
   ORE_U numeric(10,2) NULL,
   SW_U numeric(10,2) NULL,
   ORS_U numeric(10,2) NULL,
   BW_U numeric(10,2) NULL,
   ORW_U numeric(10,2) NULL,
   WH_U numeric(10,2) NULL,
   SBT_U numeric(10,2) NULL,
   LP_U numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Quota_Transfer_From_Company_Name ON Quota_Transfer (From_Company_Name,From_Fishery_Name,From_Season_Year,To_Company_Name,To_Fishery_Name,To_Season_Year,Transfer_Date,Transfer_Time);

CREATE INDEX Quota_Transfer_Applies_to_Vessel_Name ON Quota_Transfer (Applies_to_Vessel_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Quota_Transfer','Quota Transfer');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Quota_Transfer','YES','YES');
--DROP TABLE Report_Options;

CREATE TABLE Report_Options (
   Record_Id integer NOT NULL,
   Add_Title varchar(4) NOT NULL,
   Company_Details varchar(4) NOT NULL,
   Zeros varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Report_Options_Record_Id ON Report_Options (Record_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Report_Options','Report Options');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Report_Options','YES','YES');
--DROP TABLE Ring_No;

CREATE TABLE Ring_No (
   Ring_No varchar(20) NOT NULL,
   Year_Made numeric(4,0) NULL,
   Ring_Size numeric(10,2) NULL,
   Colour varchar(15) NULL,
   Condition varchar(40) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Ring_No_Ring_No ON Ring_No (Ring_No);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Ring_No','Ring No');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Ring_No','YES','YES');
--DROP TABLE Road;

CREATE TABLE Road (
   Name varchar(30) NOT NULL,
   Cust_Order_No varchar(15) NOT NULL,
   Order_Date varchar(10) NOT NULL,
   Order_Item varchar(20) NOT NULL,
   Pick_Up_date varchar(10) NOT NULL,
   Carrier varchar(30) NULL,
   Rego_No varchar(20) NULL,
   Destination_City varchar(50) NOT NULL,
   Destination_Country varchar(40) NOT NULL,
   Wholesale_Cust_Name varchar(30) NULL,
   Con_Note varchar(20) NULL,
   ETA_Date varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Road_Name ON Road (Name,Cust_Order_No,Order_Date,Order_Item,Pick_Up_date);

CREATE INDEX Road_Destination_City ON Road (Destination_City);

CREATE INDEX Road_Destination_Country ON Road (Destination_Country);

CREATE INDEX Road_Wholesale_Cust_Name ON Road (Wholesale_Cust_Name);

CREATE INDEX Road_ETA_Date ON Road (ETA_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Road','Via Road');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Road','YES','YES');
--DROP TABLE SeqNum;

CREATE TABLE SeqNum (
   tablename varchar(30) NOT NULL,
   nextid integer NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX SeqNum_tablename ON SeqNum (tablename);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('SeqNum','Sequence Number');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','SeqNum','YES','YES');
--DROP TABLE Shipping;

CREATE TABLE Shipping (
   Name varchar(30) NOT NULL,
   Cust_Order_No varchar(15) NOT NULL,
   Order_Date varchar(10) NOT NULL,
   Order_Item varchar(20) NOT NULL,
   Despatch_Date varchar(10) NOT NULL,
   Vessel_Name varchar(30) NOT NULL,
   Shipment_No varchar(20) NOT NULL,
   Sail_Date varchar(10) NOT NULL,
   Sail_Time varchar(8) NULL,
   Orign_City varchar(50) NOT NULL,
   Origin_Country varchar(40) NOT NULL,
   Declaration_No varchar(20) NOT NULL,
   Destination_City varchar(50) NOT NULL,
   Destination_Country varchar(40) NOT NULL,
   ETA_Date varchar(10) NOT NULL,
   ETA_Time varchar(8) NULL,
   AWB varchar(30) NULL,
   Export_Permit_No varchar(20) NULL,
   ECN_No varchar(20) NULL,
   Container_No varchar(20) NULL,
   Terms_of_Delivery varchar(15) NULL,
   Delivery_City varchar(50) NULL,
   Delivery_Country varchar(40) NULL
);

CREATE UNIQUE CLUSTERED INDEX Shipping_Name ON Shipping (Name,Cust_Order_No,Order_Date,Order_Item,Despatch_Date,Vessel_Name,Shipment_No,Sail_Date);

CREATE INDEX Shipping_Orign_City ON Shipping (Orign_City);

CREATE INDEX Shipping_Origin_Country ON Shipping (Origin_Country);

CREATE INDEX Shipping_Destination_City ON Shipping (Destination_City);

CREATE INDEX Shipping_Destination_Country ON Shipping (Destination_Country);

CREATE INDEX Shipping_ETA_Date ON Shipping (ETA_Date);

CREATE INDEX Shipping_Delivery_City ON Shipping (Delivery_City);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Shipping','Shipping');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Shipping','YES','YES');
--DROP TABLE Site_Comment;

CREATE TABLE Site_Comment (
   Company_Name varchar(30) NOT NULL,
   Site_Name varchar(20) NOT NULL,
   Site_Abbrev_Name varchar(3) NOT NULL,
   Comment_Date varchar(10) NOT NULL,
   Comment_Time varchar(10) NOT NULL,
   Item_Type varchar(20) NULL,
   Comment varchar(200) NOT NULL,
   Staff_Name varchar(20) NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX Site_Comment_Company_Name ON Site_Comment (Company_Name,Site_Name,Comment_Date,Comment_Time);

CREATE INDEX Site_Comment_Item_Type ON Site_Comment (Item_Type);

CREATE INDEX Site_Comment_Staff_Name ON Site_Comment (Staff_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Site_Comment','Site Comments');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Site_Comment','YES','YES');
--DROP TABLE Site_Location;

CREATE TABLE Site_Location (
   Company_Name varchar(30) NOT NULL,
   Site_Name varchar(20) NOT NULL,
   Site_Abbrev_Name varchar(4) NOT NULL,
   Contact varchar(30) NULL,
   Address varchar(50) NULL,
   Phone varchar(15) NULL,
   Fax varchar(15) NULL,
   Email varchar(50) NULL,
   Mooring_System varchar(30) NULL,
   Date_Installed varchar(10) NULL,
   Manufactured_By varchar(30) NULL,
   Installed_By varchar(30) NULL,
   Map_Location varchar(50) NULL,
   GLN numeric(13,0) NULL,
   Left_Top_CM varchar(30) NULL,
   Right_Top_CM varchar(30) NULL,
   Left_Bot_CM varchar(30) NULL,
   Right_Bot_CM varchar(30) NULL
);

CREATE UNIQUE CLUSTERED INDEX Site_Location_Company_Name ON Site_Location (Company_Name,Site_Name);

CREATE INDEX Site_Location_Date_Installed ON Site_Location (Date_Installed);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Site_Location','Site Location');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Site_Location','YES','YES');
--DROP TABLE Site_Location_Item;

CREATE TABLE Site_Location_Item (
   Company_Name varchar(30) NOT NULL,
   Site_Name varchar(20) NOT NULL,
   Stock_Name varchar(40) NOT NULL,
   Item_Type_Name varchar(20) NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX Site_Location_Item_Company_Name ON Site_Location_Item (Company_Name,Site_Name,Stock_Name,Item_Type_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Site_Location_Item','Site Location Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Site_Location_Item','YES','YES');
--DROP TABLE Site_Location_Transfer;

CREATE TABLE Site_Location_Transfer (
   From_Company_Name varchar(30) NOT NULL,
   From_Site_Name varchar(20) NOT NULL,
   From_Stock_Name varchar(40) NOT NULL,
   From_Item_Type_Name varchar(20) NOT NULL,
   Qty_Transfered numeric(10,2) NULL,
   To_Company_Name varchar(30) NOT NULL,
   To_Site_Name varchar(20) NOT NULL,
   To_Stock_Name varchar(40) NOT NULL,
   To_Item_Type_Name varchar(20) NOT NULL,
   Transfer_Date varchar(10) NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX Site_Location_Transfer_From_Company_Name ON Site_Location_Transfer (From_Company_Name,From_Site_Name,From_Stock_Name,From_Item_Type_Name,To_Company_Name,To_Site_Name,To_Stock_Name,To_Item_Type_Name,Transfer_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Site_Location_Transfer','Site Location Transfer');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Site_Location_Transfer','YES','YES');
--DROP TABLE Site_Stock_Item;

CREATE TABLE Site_Stock_Item (
   Company_Name varchar(30) NOT NULL,
   Site_Name varchar(20) NOT NULL,
   Stock_Name varchar(40) NOT NULL,
   Order_No varchar(20) NOT NULL,
   Delivered_Date varchar(10) NOT NULL,
   Delivered_Time varchar(8) NOT NULL,
   Carrier_Name varchar(30) NULL,
   Received_Date varchar(10) NOT NULL,
   Qty_Received integer NOT NULL,
   Site_Location_Stock_Name varchar(40) NULL,
   Item_Type_Name varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Site_Stock_Item_Company_Name ON Site_Stock_Item (Company_Name,Site_Name,Stock_Name,Order_No,Delivered_Date,Delivered_Time,Received_Date);

CREATE INDEX Site_Stock_Item_Carrier_Name ON Site_Stock_Item (Carrier_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Site_Stock_Item','Site Stock Item Delivery');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Site_Stock_Item','YES','YES');
--DROP TABLE Specific_Diving;

CREATE TABLE Specific_Diving (
   Dive_Date varchar(10) NOT NULL,
   Supervisor_Name varchar(20) NOT NULL,
   Cage_Id varchar(10) NOT NULL,
   Diver_Name varchar(20) NOT NULL,
   Visibility numeric(10,2) NULL,
   Fouling numeric(10,2) NULL,
   Feed_Bottom numeric(10,2) NULL,
   Billowing varchar(10) NULL,
   Headline varchar(20) NULL,
   Clearance numeric(10,2) NULL,
   Condition_Bottom varchar(20) NULL,
   Meshed_Fish integer NULL,
   Mort_Total integer NULL,
   Water_Temp numeric(10,2) NULL,
   Net_Depth numeric(10,2) NULL,
   Fish_Behaviour varchar(20) NULL,
   Trash_fish varchar(20) NULL,
   Comment varchar(200) NULL
);

CREATE UNIQUE CLUSTERED INDEX Specific_Diving_Dive_Date ON Specific_Diving (Dive_Date,Supervisor_Name,Cage_Id,Diver_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Specific_Diving','Specific Diving Record');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Specific_Diving','YES','YES');
--DROP TABLE Staff;

CREATE TABLE Staff (
   Name varchar(20) NOT NULL,
   Home_No varchar(15) NULL,
   Mobile_No varchar(20) NULL,
   Address varchar(40) NULL,
   Emergency_Name varchar(20) NULL,
   Em_Home_Ph varchar(15) NULL,
   Em_Work_Ph varchar(15) NULL,
   Emerg_Mobile_No varchar(15) NULL,
   Emg_Relationship varchar(15) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Staff_Name ON Staff (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Staff','Staff');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Staff','YES','YES');
--DROP TABLE Staff_Position;

CREATE TABLE Staff_Position (
   Staff_Name varchar(30) NOT NULL,
   Position_Held varchar(30) NOT NULL,
   Date_Joined varchar(10) NOT NULL,
   Transfer_Date varchar(10) NULL
);

CREATE UNIQUE CLUSTERED INDEX Staff_Position_Staff_Name ON Staff_Position (Staff_Name,Position_Held,Date_Joined);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Staff_Position','Staff Position');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Staff_Position','YES','YES');
--DROP TABLE Stock_Density;

CREATE TABLE Stock_Density (
   Name varchar(20) NOT NULL,
   Jan integer NULL,
   Feb integer NULL,
   Mar integer NULL,
   Apr integer NULL,
   May integer NULL,
   Jun integer NULL,
   Jul integer NULL,
   Aug integer NULL,
   Sep integer NULL,
   Oct integer NULL,
   Nov integer NULL,
   December integer NULL
);

CREATE UNIQUE CLUSTERED INDEX Stock_Density_Name ON Stock_Density (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Stock_Density','Stock Density');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Stock_Density','YES','YES');
--DROP TABLE Stock_Item;

CREATE TABLE Stock_Item (
   Stock_Name varchar(40) NOT NULL,
   Item_Type_Name varchar(20) NOT NULL,
   Abbrev_Name varchar(5) NOT NULL,
   Serial_No varchar(30) NULL,
   Product_Size varchar(10) NULL,
   Package_Size varchar(10) NULL,
   Package_Type varchar(10) NULL,
   Product_Length varchar(10) NULL,
   Sink_Rate numeric(10,2) NULL,
   Head_Code varchar(10) NULL,
   Stocktake numeric(10,2) NULL,
   Last_Stocktake numeric(10,2) NULL,
   Cost_Price numeric(10,2) NULL,
   Currency varchar(10) NULL,
   Report_Column_No integer NULL,
   Comment varchar(200) NULL,
   FCR numeric(5,1) NULL,
   Colour_Code varchar(20) NULL,
   Re_Order numeric(10,2) NULL,
   Fat_gm numeric(10,2) NULL,
   Protein numeric(10,2) NULL,
   Moisture numeric(10,2) NULL,
   Ash numeric(10,2) NULL,
   Energy numeric(10,2) NULL,
   Free_Fat_Acids numeric(10,2) NULL,
   Peroxide numeric(10,2) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Stock_Item_Stock_Name ON Stock_Item (Stock_Name,Item_Type_Name);

CREATE INDEX Stock_Item_Product_Size ON Stock_Item (Product_Size);

CREATE INDEX Stock_Item_Package_Size ON Stock_Item (Package_Size);

CREATE INDEX Stock_Item_Package_Type ON Stock_Item (Package_Type);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Stock_Item','Stock Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Stock_Item','YES','YES');
--DROP TABLE Supplier;

CREATE TABLE Supplier (
   Name varchar(30) NOT NULL,
   Contact varchar(30) NULL,
   Address varchar(50) NULL,
   Suburb varchar(30) NULL,
   State varchar(10) NULL,
   Postcode numeric(6,0) NULL,
   Country varchar(40) NULL,
   Phone varchar(15) NULL,
   Fax varchar(15) NULL,
   Email varchar(50) NULL,
   Sales_Tax varchar(10) NULL,
   ABN_No varchar(20) NULL,
   ACN_No varchar(20) NULL,
   Comment varchar(200) NULL,
   Web_Site varchar(40) NULL
);

CREATE UNIQUE CLUSTERED INDEX Supplier_Name ON Supplier (Name);

CREATE INDEX Supplier_Country ON Supplier (Country);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Supplier','Supplier');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Supplier','YES','YES');
--DROP TABLE Supplier_Stock_Item;

CREATE TABLE Supplier_Stock_Item (
   Supplier_Name varchar(30) NOT NULL,
   Stock_Name varchar(40) NOT NULL,
   Stock_Item_Type varchar(20) NOT NULL,
   Currency varchar(10) NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX Supplier_Stock_Item_Supplier_Name ON Supplier_Stock_Item (Supplier_Name,Stock_Name);

CREATE INDEX Supplier_Stock_Item_Stock_Item_Type ON Supplier_Stock_Item (Stock_Item_Type);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Supplier_Stock_Item','Supplier Stock Item');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Supplier_Stock_Item','YES','YES');
--DROP TABLE Swim_Thru;

CREATE TABLE Swim_Thru (
   Job_No integer NOT NULL,
   Date_Swim_Thru varchar(10) NOT NULL,
   Source_Fish_Id varchar(10) NOT NULL,
   Source_Cage_Id varchar(10) NOT NULL,
   Src_Date_Assigned varchar(10) NOT NULL,
   Swim_Thru_Type varchar(20) NOT NULL,
   Est_Fish_Swum_Off integer NULL,
   New_Fish_Id varchar(10) NULL,
   New_Cage_Size varchar(10) NULL,
   Dest_Fish_Id varchar(10) NOT NULL,
   Dest_Cage_Id varchar(10) NOT NULL,
   Dest_Date_Assigned varchar(10) NULL,
   No_Fish_Swum_Off integer NOT NULL,
   Reason_For_Swim_Thru varchar(100) NULL,
   Leading_Hand_Name varchar(20) NOT NULL,
   Wind_Speed varchar(10) NULL,
   Wind_Direction varchar(10) NULL,
   Sea_Height varchar(10) NULL,
   Tide varchar(10) NULL,
   Water_Visibility varchar(15) NULL,
   Job_Time integer NULL,
   Comment varchar(200) NULL,
   Src_Fish_Count integer NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Swim_Thru_Job_No ON Swim_Thru (Job_No,Date_Swim_Thru,Source_Fish_Id);

CREATE INDEX Swim_Thru_Source_Cage_Id ON Swim_Thru (Source_Cage_Id);

CREATE INDEX Swim_Thru_Swim_Thru_Type ON Swim_Thru (Swim_Thru_Type);

CREATE INDEX Swim_Thru_Dest_Fish_Id ON Swim_Thru (Dest_Fish_Id);

CREATE INDEX Swim_Thru_Dest_Cage_Id ON Swim_Thru (Dest_Cage_Id);

CREATE INDEX Swim_Thru_Leading_Hand_Name ON Swim_Thru (Leading_Hand_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Swim_Thru','Cage to Cage Transfer');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Swim_Thru','YES','YES');
--DROP TABLE System_Option;

CREATE TABLE System_Option (
   Report_Code integer NOT NULL,
   Water_Temp numeric(10,2) NULL,
   Default_FCR numeric(10,2) NULL,
   Gross_Weight_Addition numeric(10,2) NULL,
   Stock_Name varchar(40) NOT NULL,
   Stock_Item_Type varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX System_Option_Report_Code ON System_Option (Report_Code,Stock_Name);

CREATE INDEX System_Option_Water_Temp ON System_Option (Water_Temp);

CREATE INDEX System_Option_Stock_Item_Type ON System_Option (Stock_Item_Type);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('System_Option','System Options');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','System_Option','YES','YES');
--DROP TABLE Tag_Fish_Weight;

CREATE TABLE Tag_Fish_Weight (
   Fish_Id varchar(10) NOT NULL,
   Tow_No varchar(15) NOT NULL,
   Tag_Id varchar(20) NOT NULL,
   Weight numeric(10,2) NOT NULL,
   Length numeric(10,2) NOT NULL,
   End_Cage_Id varchar(10) NULL,
   End_Date varchar(10) NULL,
   End_Length numeric(10,2) NULL,
   End_Weight numeric(10,2) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Tag_Fish_Weight_Fish_Id ON Tag_Fish_Weight (Fish_Id,Tow_No,Tag_Id);

CREATE INDEX Tag_Fish_Weight_End_Date ON Tag_Fish_Weight (End_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Tag_Fish_Weight','Catch / Tow Tagging');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Tag_Fish_Weight','YES','YES');
--DROP TABLE Temperature;

CREATE TABLE Temperature (
   Temp_Year integer NOT NULL,
   Company_Name varchar(30) NOT NULL,
   Site_Name varchar(20) NOT NULL,
   Jan numeric(3,1) NULL,
   Feb numeric(3,1) NULL,
   Mar numeric(3,1) NULL,
   Apr numeric(3,1) NULL,
   May numeric(3,1) NULL,
   Jun numeric(3,1) NULL,
   Jul numeric(3,1) NULL,
   Aug numeric(3,1) NULL,
   Sep numeric(3,1) NULL,
   Oct numeric(3,1) NULL,
   Nov numeric(3,1) NULL,
   December numeric(3,1) NULL
);

CREATE UNIQUE CLUSTERED INDEX Temperature_Temp_Year ON Temperature (Temp_Year,Company_Name,Site_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Temperature','Water Temperature');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Temperature','YES','YES');
--DROP TABLE Towing;

CREATE TABLE Towing (
   Job_No integer NOT NULL,
   Fish_Id varchar(10) NOT NULL,
   Cage_Id varchar(10) NOT NULL,
   Date_Moved varchar(10) NOT NULL,
   Tow_Type_Name varchar(20) NULL,
   Weather_Forecast varchar(80) NULL,
   Wind_Speed varchar(10) NULL,
   Wind_Direction varchar(10) NULL,
   Other_Job_No varchar(20) NULL,
   Job_Assigned_Name varchar(20) NOT NULL,
   Cage_in_location varchar(5) NULL,
   Cage_not_location varchar(20) NULL,
   Was_Weather_Correct varchar(5) NULL,
   Weather_Not_Correct varchar(60) NULL,
   Vessel_Name varchar(30) NULL,
   Skipper_Name varchar(20) NULL,
   Deck_Hand_Name varchar(20) NULL,
   Dep_Time varchar(8) NULL,
   Arrv_Time varchar(8) NULL,
   Comment varchar(200) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Towing_Job_No ON Towing (Job_No,Fish_Id,Cage_Id);

CREATE INDEX Towing_Date_Moved ON Towing (Date_Moved);

CREATE INDEX Towing_Tow_Type_Name ON Towing (Tow_Type_Name);

CREATE INDEX Towing_Job_Assigned_Name ON Towing (Job_Assigned_Name);

CREATE INDEX Towing_Vessel_Name ON Towing (Vessel_Name);

CREATE INDEX Towing_Skipper_Name ON Towing (Skipper_Name);

CREATE INDEX Towing_Deck_Hand_Name ON Towing (Deck_Hand_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Towing','Towing');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Towing','YES','YES');
--DROP TABLE Tow_Check;

CREATE TABLE Tow_Check (
   Job_No integer NOT NULL,
   Fish_Id varchar(10) NOT NULL,
   Cage_Id varchar(10) NOT NULL,
   Time_Check varchar(8) NOT NULL,
   Staff_Name varchar(20) NOT NULL,
   Net varchar(20) NULL,
   Fish varchar(20) NULL,
   Wind_Speed varchar(20) NULL,
   Tide varchar(20) NULL,
   Comments varchar(200) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Tow_Check_Job_No ON Tow_Check (Job_No,Fish_Id,Cage_Id,Time_Check);

CREATE INDEX Tow_Check_Staff_Name ON Tow_Check (Staff_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Tow_Check','Tow Check');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Tow_Check','YES','YES');
--DROP TABLE Tow_Intake;

CREATE TABLE Tow_Intake (
   Fish_Id varchar(10) NOT NULL,
   Tow_No varchar(15) NOT NULL,
   Catcher_Vessel varchar(30) NOT NULL,
   Tow_Vessel varchar(30) NOT NULL,
   Capture_Log_Book_No varchar(20) NOT NULL,
   Tow_Log_Book_No varchar(20) NOT NULL,
   TPB03_Log_Book varchar(20) NULL,
   Cage_Id varchar(10) NOT NULL,
   Est_Biomass numeric(10,2) NULL,
   Start_Tow_Date varchar(10) NULL,
   Capture_Location varchar(20) NULL,
   Date_Tow_End varchar(10) NOT NULL,
   Date_First_Transfer varchar(10) NOT NULL,
   Total_Biomass numeric(10,2) NOT NULL,
   Date_Last_Transfer varchar(10) NOT NULL,
   Total_Fish_No integer NOT NULL,
   Catch_Morts integer NOT NULL,
   Video_Reference varchar(15) NOT NULL,
   Tow_Morts integer NOT NULL,
   Tape_Check_Staff_Name varchar(20) NOT NULL,
   Transfer_Morts integer NOT NULL,
   Tape_Check_Contractor varchar(30) NULL,
   Tdummy1 char(1) NULL,
   Sample_Date varchar(10) NULL,
   Sample_Staff_Name varchar(20) NULL,
   Sample_Avg_Weight numeric(10,2) NULL,
   Tdummy2 char(1) NULL,
   Archive varchar(4) NULL,
   Catcher_Vessel_2 varchar(30) NULL,
   Capture_Log_Book_No_2 varchar(20) NULL,
   TPB03_Log_Book_2 varchar(20) NULL
);

CREATE UNIQUE CLUSTERED INDEX Tow_Intake_Fish_Id ON Tow_Intake (Fish_Id,Tow_No);

CREATE INDEX Tow_Intake_Catcher_Vessel ON Tow_Intake (Catcher_Vessel);

CREATE INDEX Tow_Intake_Tow_Vessel ON Tow_Intake (Tow_Vessel);

CREATE INDEX Tow_Intake_Cage_Id ON Tow_Intake (Cage_Id);

CREATE INDEX Tow_Intake_Date_Tow_End ON Tow_Intake (Date_Tow_End);

CREATE INDEX Tow_Intake_Date_First_Transfer ON Tow_Intake (Date_First_Transfer);

CREATE INDEX Tow_Intake_Date_Last_Transfer ON Tow_Intake (Date_Last_Transfer);

CREATE INDEX Tow_Intake_Tape_Check_Staff_Name ON Tow_Intake (Tape_Check_Staff_Name);

CREATE INDEX Tow_Intake_Sample_Staff_Name ON Tow_Intake (Sample_Staff_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Tow_Intake','Catch / Tow Details');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Tow_Intake','YES','YES');
--DROP TABLE Tow_Mort;

CREATE TABLE Tow_Mort (
   Fish_Id varchar(10) NOT NULL,
   Tow_No varchar(15) NOT NULL,
   Capture_Date varchar(10) NOT NULL,
   GPS_Position varchar(20) NOT NULL,
   NM_Port numeric(10,2) NULL,
   Latitude varchar(10) NULL,
   Longtitude varchar(10) NULL,
   FOS integer NOT NULL,
   FOB integer NOT NULL,
   FIM integer NOT NULL,
   Comments varchar(200) NULL,
   SL varchar(4) NULL,
   TD varchar(4) NULL,
   Mesh varchar(4) NULL,
   ED varchar(4) NULL,
   Seal varchar(4) NULL,
   Gaff varchar(4) NULL,
   Unknown varchar(4) NULL,
   Swim varchar(4) NULL,
   Copepods varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Tow_Mort_Fish_Id ON Tow_Mort (Fish_Id,Tow_No,Capture_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Tow_Mort','Tow Morts');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Tow_Mort','YES','YES');
--DROP TABLE Tow_Type;

CREATE TABLE Tow_Type (
   Name varchar(20) NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX Tow_Type_Name ON Tow_Type (Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Tow_Type','Tow Type');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Tow_Type','YES','YES');
--DROP TABLE Trip_Crew;

CREATE TABLE Trip_Crew (
   Trip_No integer NOT NULL,
   Departure_Date varchar(10) NOT NULL,
   Company_Name varchar(30) NOT NULL,
   Vessel_Name varchar(30) NOT NULL,
   Fishery_Name varchar(60) NOT NULL,
   Season_Year numeric(4,0) NOT NULL,
   Crew_Member varchar(20) NOT NULL,
   Crew_Share numeric(10,2) NOT NULL,
   Comment varchar(200) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Trip_Crew_Trip_No ON Trip_Crew (Trip_No,Departure_Date,Company_Name,Vessel_Name,Fishery_Name,Season_Year,Crew_Member);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Trip_Crew','Trip Crew');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Trip_Crew','YES','YES');
--DROP TABLE Trip_Invoice;

CREATE TABLE Trip_Invoice (
   Trip_No integer NOT NULL,
   Departure_Date varchar(10) NOT NULL,
   Company_Name varchar(30) NOT NULL,
   Vessel_Name varchar(30) NOT NULL,
   Fishery_Name varchar(60) NOT NULL,
   Season_Year numeric(4,0) NOT NULL,
   Customer_Name varchar(30) NOT NULL,
   Invoice_Date varchar(10) NOT NULL,
   Invoice_No varchar(20) NOT NULL,
   Unload_Date varchar(10) NULL,
   Tdummy1 char(1) NULL,
   Commission numeric(10,2) NULL,
   Market_Dues numeric(10,2) NULL,
   GST numeric(10,2) NULL,
   Freight numeric(10,2) NULL,
   Box_Charges numeric(10,2) NULL,
   Other numeric(10,2) NULL,
   Balance numeric(10,2) NULL,
   Comment varchar(200) NULL,
   Paid_Date varchar(10) NULL,
   Payment_Method varchar(50) NULL,
   Paid_Amt numeric(10,2) NULL,
   Paid_Currency varchar(10) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Trip_Invoice_Trip_No ON Trip_Invoice (Trip_No,Departure_Date,Company_Name,Vessel_Name,Fishery_Name,Season_Year,Customer_Name,Invoice_Date,Invoice_No);

CREATE INDEX Trip_Invoice_Unload_Date ON Trip_Invoice (Unload_Date);

CREATE INDEX Trip_Invoice_Paid_Date ON Trip_Invoice (Paid_Date);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Trip_Invoice','Trip Invoice');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Trip_Invoice','YES','YES');
--DROP TABLE Trip_Mort;

CREATE TABLE Trip_Mort (
   Trip_Number integer NOT NULL,
   Fish_Id varchar(10) NOT NULL,
   Cage_Id varchar(10) NOT NULL,
   Feeding_Date varchar(10) NOT NULL,
   Feeding_Time varchar(4) NOT NULL,
   Vessel_Name varchar(30) NOT NULL,
   Record_Id integer NOT NULL,
   Weight numeric(10,2) NOT NULL,
   Fish_Length numeric(10,2) NOT NULL,
   SL varchar(4) NULL,
   TD varchar(4) NULL,
   Mesh varchar(4) NULL,
   ED varchar(4) NULL,
   Seal varchar(4) NULL,
   Gaff varchar(4) NULL,
   Unknown varchar(4) NULL,
   Swim varchar(4) NULL,
   Copepods varchar(4) NULL,
   Tag_Id varchar(20) NULL,
   Catch_Fish_Id varchar(10) NULL,
   Tow_No varchar(15) NULL
);

CREATE UNIQUE CLUSTERED INDEX Trip_Mort_Trip_Number ON Trip_Mort (Trip_Number,Fish_Id,Cage_Id,Feeding_Date,Feeding_Time,Vessel_Name,Record_Id);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Trip_Mort','Trip Mortality');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Trip_Mort','YES','YES');
--DROP TABLE URIGHTS;

CREATE TABLE URIGHTS (
   USER_ID varchar(30) NOT NULL,
   TABLE_NAME varchar(50) NOT NULL,
   USTORE varchar(4) NOT NULL,
   UDELETE varchar(4) NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX URIGHTS_USER_ID ON URIGHTS (USER_ID,TABLE_NAME);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('URIGHTS','URIGHTS');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','URIGHTS','YES','YES');
--DROP TABLE USERIDS;

CREATE TABLE USERIDS (
   USER_ID varchar(30) NOT NULL,
   NPASSWORD varchar(30) NOT NULL,
   Staff_Name varchar(20) NOT NULL,
   Start_up_file varchar(128) NULL,
   User_Status varchar(10) NOT NULL,
   INI_File varchar(128) NULL,
   On_Exit_Run varchar(128) NULL
);

CREATE UNIQUE CLUSTERED INDEX USERIDS_USER_ID ON USERIDS (USER_ID);

CREATE INDEX USERIDS_Staff_Name ON USERIDS (Staff_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('USERIDS','USERIDS');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','USERIDS','YES','YES');
--DROP TABLE User_Preferences;

CREATE TABLE User_Preferences (
   USER_ID varchar(30) NOT NULL,
   Pref_Name varchar(60) NOT NULL,
   Pref_Setting varchar(128) NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX User_Preferences_USER_ID ON User_Preferences (USER_ID,Pref_Name);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('User_Preferences','User Preferences');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','User_Preferences','YES','YES');
--DROP TABLE UTABLES;

CREATE TABLE UTABLES (
   TABLE_NAME varchar(50) NOT NULL,
   Screen_Name varchar(60) NULL
);

CREATE UNIQUE CLUSTERED INDEX UTABLES_TABLE_NAME ON UTABLES (TABLE_NAME);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('UTABLES','UTABLES');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','UTABLES','YES','YES');
--DROP TABLE Vessel;

CREATE TABLE Vessel (
   Name varchar(30) NOT NULL,
   Owner varchar(30) NULL,
   Address varchar(50) NULL,
   Suburb varchar(30) NULL,
   Phone varchar(15) NULL,
   Fax varchar(15) NULL,
   Date_Built varchar(10) NULL,
   Length numeric(5,1) NULL,
   Outboard_Serial_1 varchar(30) NULL,
   Outboard_Serial_2 varchar(30) NULL,
   Cost_Price numeric(10,2) NULL,
   Gross_Tonne numeric(10,2) NULL,
   Max_Crew integer NULL,
   LogBook_Id varchar(30) NULL,
   Vessel_Id varchar(30) NULL,
   Dist_Symbol varchar(20) NULL,
   Archive varchar(4) NULL
);

CREATE UNIQUE CLUSTERED INDEX Vessel_Name ON Vessel (Name);

CREATE INDEX Vessel_Date_Built ON Vessel (Date_Built);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Vessel','Vessel');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Vessel','YES','YES');
--DROP TABLE Company_Quota_Species;

CREATE TABLE Company_Quota_Species (
   Company_Name varchar(30) NOT NULL,
   Fishery_Name varchar(60) NOT NULL,
   Season_Year numeric(4,0) NOT NULL,
   Quota_Fish_Specie varchar(30) NOT NULL,
   PH integer NOT NULL,
   QC numeric(12,10) NOT NULL,
   SB numeric(10,2) NOT NULL,
   LP numeric(10,2) NOT NULL,
   SCO numeric(10,2) NOT NULL
);

CREATE UNIQUE CLUSTERED INDEX Company_Quota_Species_Company_Name ON Company_Quota_Species (Company_Name,Fishery_Name,Season_Year,Quota_Fish_Specie);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Company_Quota_Species','Company Quota Species');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Company_Quota_Species','YES','YES');
--DROP TABLE Quota_Transfer_Species;

CREATE TABLE Quota_Transfer_Species (
   From_Company_Name varchar(30) NOT NULL,
   From_Fishery_Name varchar(60) NOT NULL,
   From_Season_Year numeric(4,0) NOT NULL,
   To_Company_Name varchar(30) NOT NULL,
   To_Fishery_Name varchar(60) NOT NULL,
   To_Season_Year numeric(4,0) NOT NULL,
   Transfer_Date varchar(10) NOT NULL,
   Transfer_Time varchar(8) NOT NULL,
   Quota_Fish_Specie varchar(30) NOT NULL,
   PH integer NULL,
   QC numeric(12,10) NULL,
   SK numeric(10,2) NULL,
   LP numeric(10,2) NULL
);

CREATE UNIQUE CLUSTERED INDEX Quota_Transfer_Species_From_Company_Name ON Quota_Transfer_Species (From_Company_Name,From_Fishery_Name,From_Season_Year,To_Company_Name,To_Fishery_Name,To_Season_Year,Transfer_Date,Transfer_Time,Quota_Fish_Specie);


INSERT INTO UTABLES (TABLE_NAME,SCREEN_NAME) VALUES('Quota_Transfer_Species','Quota Transfer Species');

INSERT INTO URIGHTS (USER_ID,TABLE_NAME,USTORE,UDELETE) VALUES('fish','Quota_Transfer_Species','YES','YES');
